var callbacks = {},callbackId = 0;
/*
* native 和 h5 交互
* 通过flagId or callbackId 维护。 具体执行方法由本地 js 维护。
* */
window.nativeCallback = function (callbackId, result) {
  callbacks[callbackId].success(result);
  callbacks[callbackId].destruction && delete callbacks[callbackId] ;
};
//返回按钮
callbacks.setBackButton = function(button) {
  if (button && button.click) {
    var cid = 'onClick' + callbackId++;
    button.clickId = cid;
    button.callbackId = cid;
    callbacks[cid] = {success:button.click,fail:button.click,destruction:false};
  }
  return callbacks.callNative("setBackButton",JSON.stringify(button));
  // return  navigator.userAgent.indexOf('App/') > 0 && App.callNative("setBackButton", JSON.stringify(button));
};
//设置右上角按钮(数组类型)
/*
* button:{
*   text : "",
*   icon : "",
*   click : function(){},
*   clickId : ""
* }
* */
callbacks.setMenuList = function(menuList) {
  for (var i=0;i<menuList.length;i++) {
    var menu = menuList[i];
    if (menu.click) {
      var cid = 'onClick' + callbackId++;
      menu.clickId = cid;
      menu.callbackId = cid;
      callbacks[cid] = {success:menu.click,fail:menu.click};
    }
  }
  return callbacks.callNative("setMenuList",JSON.stringify(menuList));
  // return navigator.userAgent.indexOf('App/') > 0 && App.callNative("setMenuList", JSON.stringify(menuList));
};
//设置按钮
callbacks.setMenuItem = function(index, menuItem) {
  var args = [index];
  if (menuItem && menuItem.click) {
    var cid = 'onClick' + callbackId++;
    menuItem.clickId = cid;
    menuItem.callbackId = cid;
    callbacks[cid] = {success:menuItem.click,fail:menuItem.click};
    args[1] = menuItem;
  }
  return callbacks.callNative("setMenuItem",JSON.stringify(args));
  // return navigator.userAgent.indexOf('App/') > 0 && App.callNative("setMenuItem", JSON.stringify(args))
};
//获取地理经纬度
callbacks.getLocation = function(option){
  if (option && option.click) {
    var cid = 'onClick' + callbackId++;
    option.callbackId = cid;
    callbacks[cid] = {success:option.click,fail:option.click,destruction:false};
  }
  return callbacks.callNative("getLocation",JSON.stringify(option));
};
//下拉刷新
callbacks.reload = function(option){
  if (option && option.click) {
    var cid = option.flagId  ? option.flagId  :'onClick' + callbackId++;
    option.clickId = cid;
    option.callbackId = cid;
    callbacks[cid] = {success:option.click,fail:option.click,destruction:false};
  }
  // return callbacks.callNative("setReload",JSON.stringify(button));
}
//获取 native userId token bind_user ....
callbacks.getNativeParam = function(option){
  var flagId = (option && option.flagId) || 'getBaseAppInfo';
  if(navigator.userAgent.indexOf('App/') > 0){
    return  App.getNativeParam(flagId);
  }
}
//通用 native方法
callbacks.callNative = function(type,args){
  if(navigator.userAgent.indexOf('App/') > 0){
     App.callNative(type, args)
  }
}

