'use strict';

/**
 * 作者: 于亚东 - Adam Yu
 * 邮箱: 106395181@qq.com 
 */

/**
 * @ngdoc overview
 * @name wangfan
 * @description
 * # Initializes main application and routing
 *
 * Main module of the application.
 */

angular.module('wangfan', ['ionic'])
.run(function($ionicPlatform, $rootScope, $http, $location) {
	
	$rootScope.$on('$locationChangeSuccess', function() {
		clearInterval($rootScope.playTime);
	});
	var ua = navigator.userAgent;
	if(ua.indexOf('iOSApp/wangfan') >= 0) {
		$rootScope.$on('$ionicView.afterEnter', function(event, toState) {  
	        var iframe = document.createElement("iframe");
		    iframe.title = '';
		   	setTimeout(function(){
		   		var ifs = document.getElementsByTagName("iframe");
		   		for(var i=0;i<ifs.length;i++){
		   			document.body.removeChild(ifs[i])
		   		}
		   	},10);
		    document.body.appendChild(iframe);
		});
	}

})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
	// 解决 Android 设备 ion-nav-view 组件默认不居于页面底部问题
	$ionicConfigProvider.platform.ios.tabs.style('standard');
	$ionicConfigProvider.platform.ios.tabs.position('bottom');
	$ionicConfigProvider.platform.android.tabs.style('standard');
	$ionicConfigProvider.platform.android.tabs.position('standard');

	$ionicConfigProvider.platform.ios.navBar.alignTitle('center');
	$ionicConfigProvider.platform.android.navBar.alignTitle('left');

	$ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
	$ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

	$ionicConfigProvider.platform.ios.views.transition('ios');
	$ionicConfigProvider.platform.android.views.transition('android');
	$ionicConfigProvider.views.maxCache(0);
	$stateProvider
		.state('app', {
			url: '/app',
			abstract: true,
			templateUrl: 'templates/app.html'
		})
		
		.state('app.home', {
			url: '/home',
			views: {
				'app-home': {
					templateUrl: 'templates/home/home.html',
					controller: 'homeController'
				}
			}
		})

		.state('app.movie', {
			url: '/movie',
			views: {
				'app-navigate': {
					templateUrl: 'templates/movie/movie.html',
					controller: 'movieController'
				}
			}
		})
		
		.state('app.movie-detail', {
			url: '/movie-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/movie/movie-detail.html',
					controller: 'movieDetailController'
				}
			}
		})
		
		.state('app.article', {
			url: '/article',
			views: {
				'app-navigate': {
					templateUrl: 'templates/article/article.html',
					controller: 'articleController'
				}
			}
		})
	
		.state('app.article-detail', {
			url: '/article-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/article/article-detail.html',
					controller: 'articleDetailController'
				}
			}
		})
		
		.state('app.novel', {
			url: '/novel',
			views: {
				'app-navigate': {
					templateUrl: 'templates/novel/novel.html',
					controller: 'novelController'
				}
			}
		})
		
		.state('app.novel-detail', {
			url: '/novel-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/novel/novel-detail.html',
					controller: 'novelDetailController'
				}
			}
		})
		
		.state('app.novel-content', {
			url: '/novel-content/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/novel/novel-content.html',
					controller: 'novelContentController'
				}
			}
		})
		
		.state('app.h5Game', {
			url: '/h5Game',
			views: {
				'app-navigate': {
					templateUrl: 'templates/h5Game/h5Game.html',
					controller: 'h5GameController'
				}
			}
		})
	
		.state('app.app', {
			url: '/app',
			views: {
				'app-navigate': {
					templateUrl: 'templates/app/app.html',
					controller: 'appController'
				}
			}
		})
		
		.state('app.game', {
			url: '/game',
			views: {
				'app-navigate': {
					templateUrl: 'templates/app/game.html',
					controller: 'gameController'
				}
			}
		})
		
		.state('app.app-detail', {
			url: '/app-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/app/app-detail.html',
					controller: 'appDetailController'
				}
			}
		})
		
		.state('app.game-detail', {
			url: '/game-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/app/game-detail.html',
					controller: 'gameDetailController'
				}
			}
		})
		
		
		.state('app.audio', {
			url: '/audio',
			views: {
				'app-navigate': {
					templateUrl: 'templates/audio/audio.html',
					controller: 'audioController'
				}
			}
		})
	

	
	$urlRouterProvider.otherwise('/app/home');
});