'use strict';

/**
 * 作者: 于亚东 - Adam Yu
 * 邮箱: 106395181@qq.com 
 */

/**
 * @ngdoc overview
 * @name wangfan
 * @description
 * # Initializes main application and routing
 *
 * Main module of the application.
 */

angular.module('wangfan', ['ionic'])

.run(function($ionicPlatform, $rootScope, $http, $location,$timeout) {

	$ionicPlatform.ready(function() {
		// save to use plugins here
	});

	// add possible global event handlers here

	$rootScope.$on('$locationChangeSuccess', function() {
		clearInterval($rootScope.playTime);
		clearInterval($rootScope.codeTime);
	});
	var ua = navigator.userAgent;
	if(ua.indexOf('iOSApp/wangfan') >= 0) {
		$rootScope.$on('$ionicView.afterEnter', function(event, toState) {  
	        var iframe = document.createElement("iframe");
		    iframe.title = '';
		   	setTimeout(function(){
		   		var ifs = document.getElementsByTagName("iframe");
		   		for(var i=0;i<ifs.length;i++){
		   			document.body.removeChild(ifs[i])
		   		}
		   	},10);
		    document.body.appendChild(iframe);
		});
	}
	function heartBeat(url) {
		var heartBeat = 'doHeartbeatRetrieve.php';
		var hash = $location.url();
		var pattern = "/app/";
		hash = hash.replace(new RegExp(pattern), "");
		var myDate = Date.parse(new Date());
		$http.get(heartBeat + "?" + url + hash + '&version=1.0&t=' + myDate).success();
	}
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
	// 解决 Android 设备 ion-nav-view 组件默认不居于页面底部问题
	$ionicConfigProvider.platform.ios.tabs.style('standard');
	$ionicConfigProvider.platform.ios.tabs.position('bottom');
	$ionicConfigProvider.platform.android.tabs.style('standard');
	$ionicConfigProvider.platform.android.tabs.position('standard');

	$ionicConfigProvider.platform.ios.navBar.alignTitle('center');
	$ionicConfigProvider.platform.android.navBar.alignTitle('left');

	$ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
	$ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

	$ionicConfigProvider.platform.ios.views.transition('ios');
	$ionicConfigProvider.platform.android.views.transition('android');
	$ionicConfigProvider.views.maxCache(0);
	// Ionic 应用 AngularUI 路由器使用状态的概念
	// AngularUI 访问网址: https://github.com/angular-ui/ui-router
	// 路由器可以设置各种状态
	// 路由器状态对应的控制器放在 controllers.js 文件中
	
	$stateProvider
	// 主路由状态
		.state('app', {
			url: '/app',
			abstract: true,
			templateUrl: 'templates/app.html'
		})
		// 子路由状态
		// 首页路由状态
		.state('app.home', {
			url: '/home',
			views: {
				'app-home': {
					templateUrl: 'templates/home/home.html',
					controller: 'homeController'
				}
			}
		})
		// 影视路由状态
		.state('app.movie', {
			url: '/movie',
			views: {
				'app-navigate': {
					templateUrl: 'templates/movie/movie.html',
					controller: 'movieController'
				}
			},
			data:{
				pageTitle:'user title'
			
			}
		})
		
		// 影视详情页
		.state('app.movie-detail', {
			url: '/movie-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/movie/movie-detail.html',
					controller: 'movieDetailController'
				}
			}
		})
		// 新闻路由状态
		.state('app.article', {
			url: '/article',
			views: {
				'app-navigate': {
					templateUrl: 'templates/article/article20161027t253.html',
					controller: 'articleController'
				}
			}
		})
		// 新闻详情页
		.state('app.article-detail', {
			url: '/article-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/article/article-detail.html',
					controller: 'articleDetailController'
				}
			}
		})
		// 小说路由状态
		.state('app.novel', {
			url: '/novel',
			views: {
				'app-navigate': {
					templateUrl: 'templates/novel/novel20161027t253.html',
					controller: 'novelController'
				}
			}
		})
		// 小说详情页
		.state('app.novel-detail', {
			url: '/novel-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/novel/novel-detail.html',
					controller: 'novelDetailController'
				}
			}
		})
		// 小说文章页
		.state('app.novel-content', {
			url: '/novel-content/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/novel/novel-content.html',
					controller: 'novelContentController'
				}
			}
		})
		// 电台播音路由状态
		.state('app.audio', {
			url: '/audio',
			views: {
				'app-navigate': {
					templateUrl: 'templates/audio/audio20161027t253.html',
					controller: 'audioController'
				}
			}
		})
		// 电台播音详情页
		.state('app.audio-detail', {
			url: '/audio-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/audio/audio-detail.html',
					controller: 'audioDetailController'
				}
			}
		})
		// 应用路由状态
		.state('app.app', {
			url: '/app',
			views: {
				'app-navigate': {
					templateUrl: 'templates/app/app20161027t253.html',
					controller: 'appController'
				}
			}
		})
		// 应用路由状态
		.state('app.game', {
			url: '/game',
			views: {
				'app-navigate': {
					templateUrl: 'templates/app/game20161027t253.html',
					controller: 'gameController'
				}
			}
		})
		// 应用详情页
		.state('app.app-detail', {
			url: '/app-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/app/app-detail.html',
					controller: 'appDetailController'
				}
			}
		})
		// 应用详情页
		.state('app.game-detail', {
			url: '/game-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/app/game-detail.html',
					controller: 'gameDetailController'
				}
			}
		})
		// 个人中心路由状态
		.state('app.person', {
			url: '/person',
			views: {
				'app-navigate': {
					templateUrl: 'templates/user/person.html',
					controller: 'personController'
				}
			}
		})
		//个人资料
		.state('app.personalmes', {
			url: '/personalmes',
			views: {
				'app-navigate': {
					templateUrl: 'templates/user/personalmes.html',
					controller: 'personalmesController'
				}
			}
		})
		//意见反馈
		.state('app.feedback', {
			url: '/feedback',
			views: {
				'app-navigate': {
					templateUrl: 'templates/user/feedback.html',
					controller: 'feedbackController'
				}
			}
		})
		//关于我们
		.state('app.about', {
			url: '/about',
			views: {
				'app-navigate': {
					templateUrl: 'templates/user/about.html',
					controller: 'aboutController'
				}
			}
		})
		//流量供应站
		.state('app.flow', {
			url: '/flow',
			views: {
				'app-navigate': {
					templateUrl: 'templates/user/flow.html',
					controller: 'flowController'
				}
			}
		})
		//积分分类
		.state('app.integralRenwu', {
			url: '/integralRenwu',
			views: {
				'app-navigate': {
					templateUrl: 'templates/user/integralRenwu.html',
					controller: 'integralRenwuController'
				}
			}
		})
		
		//积分中心
		.state('app.integralCenter', {
			url: '/integralCenter',
			views: {
				'app-navigate': {
					templateUrl: 'templates/user/integralCenter.html',
					controller: 'integralController'
				}
			}
		})
		//积分记录
		.state('app.integralrecord', {
			url: '/integralrecord',
			views: {
				'app-navigate': {
					templateUrl: 'templates/user/integralrecord.html',
					controller: 'integralrecordController'
				}
			}
		})
		//用户登录
		.state('app.userLogin', {
			url: '/userLogin',
			views: {
				'app-navigate': {
					templateUrl: 'templates/user/userLogin.html',
					controller: 'userLoginController'
				}
			}
		})
		//h5Game
		.state('app.h5Game', {
			url: '/h5Game',
			views: {
				'app-navigate': {
					templateUrl: 'templates/h5Game/h5Game.html',
					controller: 'h5GameController'
				}
			}
		})
		//三人行
		.state('app.sanrenxing', {
			url: '/sanrenxing',
			views: {
				'app-navigate': {
					templateUrl: 'templates/topic/sanrenxing.html',
					controller: 'sanrenxingController'
				}
			}
		})
		//目的地列表
		.state('app.city', {
			url: '/city',
			views: {
				'app-navigate': {
					templateUrl: 'templates/destination/city-list.html',
					controller: 'cityListController'
				}
			}
		})
		//目的地列表
		.state('app.city-detail', {
			url: '/city-detail/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/destination/city-detail.html',
					controller: 'cityDetailController'
				}
			}
		})
		//奥运抽奖
		.state('app.olympic-lottery', {
			url: '/olympic-lottery',
			views: {
				'app-navigate': {
					templateUrl: 'templates/olympic/lottery.html',
					controller: 'lotteryController'
				}
			}
		})
		// 综艺路由状态
		.state('app.variety', {
			url: '/variety',
			views: {
				'app-navigate': {
					templateUrl: 'templates/variety/variety20161027t253.html',
					controller: 'varietyController'
				}
			}
		})
		// 综艺详情页
		.state('app.variety-detail', {
			url: '/variety-detail/:date/:id',
			views: {
				'app-navigate': {
					templateUrl: 'templates/variety/variety-detail.html',
					controller: 'varietyDetailController'
				}
			}
		})
		// 404提示
		.state('app.404_04', {
			url: '/404_04',
			views: {
				'app-navigate': {
					templateUrl: 'templates/error/404_04.html',
					controller: '404Controller'
				}
			}
		})
		.state('app.404_05', {
			url: '/404_05',
			views: {
				'app-navigate': {
					templateUrl: 'templates/error/404_05.html',
					controller: '404Controller'
				}
			}
		})

	// 指定默认路由状态地址
	$urlRouterProvider.otherwise('/app/home');
});