var vm = new Vue({
  el: '#app',
  data: {
    poping: false,
    active: '',
    loading: false,
    pop: {
      ECard: false, // 京东E卡
      ECardSuccess: false, // 京东E卡领取成功
      inputCharge: false, // 输入手机号
      chargeSuccess: false, // 充值话费成功
      integral: false, // 积分
      false: false, // 错误信息
      phoneNumber: '',
      rePhoneNumber: '',
      falseMsg: ''
    },
    chargeRmb: '',
    chargeId: '',
    chargeScore: '',
    medalNum: {
      '201': 0,
      '202': 0,
      '203': 0,
      '204': 0,
      '205': 0,
      '206': 0
    },
    missionList: [
      {
        title: '101',
        prizeBefore: '100',
        prizeAfter: '元话费',
        medalList:['201', '203', '202', '205', '204', '206'],
        status: 'get' //unfinished,get,finished
      },
      {
        title: '102',
        prizeBefore: '5',
        prizeAfter: '元京东E卡',
        medalList:['203', '205', '204', '206'],
        status: 'get' //unfinished,get,finished
      },
      {
        title: '103',
        prizeBefore: '200',
        prizeAfter: '积分',
        medalList:['201', '202', '203'],
        status: 'get' //unfinished,get,finished
      },
      {
        title: '104',
        prizeBefore: '100',
        prizeAfter: '积分',
        medalList:['205', '204'],
        status: 'get' //unfinished,get,finished
      },
      {
        title: '105',
        prizeBefore: '50',
        prizeAfter: '积分',
        medalList:['203', '206'],
        status: 'get' //unfinished,get,finished
      }
    ],
    missionName: {
      '101':'大好河山',
      '102':'自然之美',
      '103':'都市风情',
      '104':'西部风光',
      '105':'南北极致'
    },
    cityName:{
      '201':'北京',
      '202':'上海',
      '203':'哈尔滨',
      '204':'乌鲁木齐',
      '205':'拉萨',
      '206':'三亚'
    },
    imgUrlList: {
      '201':'images/medal/beijing.png',
      '202': 'images/medal/shanghai.png',
      '203': 'images/medal/haerbin.png',
      '204': 'images/medal/wulumuqi.png',
      '205': 'images/medal/lasa.png',
      '206': 'images/medal/sanya.png'
    },
    tips: {
      chargeTips: ''
    },
    userId: '',
    token: '',
    platform: '',
    url: {
      getMedalUrl: Comm.host + '/api/web/v1/medal/list',
      // 话费充值接口
      chargeUrl: Comm.host + '/api/web/v1/medal/exchange'
    },
    // 广告图片地址
    bannerUrl: [
      'images/medal/cansibei.jpg',
      'images/medal/shouchengchongcao.jpg',
      'images/medal/madajie.jpg',
      'images/medal/3158.jpg'
    ],
    hrefUrl: [
      'http://p.hwu5.com/king-qianhuan170104/',
      'https://item.taobao.com/item.htm?spm=a1z10.1-c.w4004-10858386521.10.v38Su7&id=543872746546',
      'https://h5.koudaitong.com/v2/showcase/feature?alias=vytn2ah7&sf=wx_menu&redirect_count=1',
      'http://m.3158.net/?site=mjgg-wangfan'
    ],
    bannerIndex: '' // 广告索引值
  },
  ready: function () {
    this.active = 'active';
    this.bannerRandom();

    this.userId = Comm.getCookie('userId');
    this.token = Comm.getCookie('token');
    this.platform = Comm.getCookie('platform');
    this.initData();
  },
  methods: {
    bannerRandom: function () {
      var random = Math.ceil(Math.random() * 9);
      if (random == 1) {
        this.bannerIndex = 0;
      } else if (random == 2 || random == 3) {
        this.bannerIndex = 1;
      } else if (random == 4 || random == 5 || random == 6) {
        this.bannerIndex = 2;
      } else {
        this.bannerIndex = 3;
      }
    },

    // 初始化数据
    initData: function () {
      if (this.userId && this.token && this.platform) {
        // 获取勋章数据
        var query = '?param=%7B"userID":"' + this.userId + '","token":"' + this.token + '","platform":"' + this.platform + '"%7D';
        var medalUrl = this.url.getMedalUrl + query;
        this.$http.jsonp(medalUrl, {}, {emulateJSON: true, timeout: 20000})
          .then(
            function (res) {
              var medalData = res.data.data.list;
              console.log(medalData);

              for (var i = 0, j = medalData.length; i < j; i++) {
                this.medalNum[medalData[i].medal_type] = medalData[i].medal_num;
              }

            },
            function (res) {

            }
          );
      }
    },

    // 关闭浮层
    closeMask: function () {
      this.poping = false;
      this.loading = false;
      this.pop.inputCharge = false,
      this.pop.chargeSuccess = false,
      this.pop.ECard = false,
      this.pop.ECardSuccess = false,
      this.pop.integral = false,
      this.pop.false = false;
    },

    conversion: function (index) {
      switch (index) {
        case '101':
          if (this.medalNum[201] != 0 && this.medalNum[202] != 0 && this.medalNum[203] != 0 && this.medalNum[204] != 0 && this.medalNum[205] != 0 && this.medalNum[206] != 0){
            this.pop.inputCharge = true;
            this.chargeRmb = '100';
            this.chargeId = '101';
            this.poping = true;
          } else {
            this.canNuoGet();
          }
          break;
        case '102':
          if (this.medalNum[203] != 0 && this.medalNum[204] != 0 && this.medalNum[205] != 0 && this.medalNum[206] != 0){
            this.pop.ECard = true;
            this.chargeId = '102';
            this.poping = true;
            this.poping = true;
          } else {
            this.canNuoGet();
          }
          break;
        case '103':
          if (this.medalNum[201] != 0 && this.medalNum[202] != 0 && this.medalNum[203] != 0){
            this.chargeScore = '200';
            this.poping = true;
            this.loading = true;
            this.cashScore(103);
          } else{
            this.canNuoGet();
          }
          break;
        case '104':
          if (this.medalNum[204] != 0 && this.medalNum[205] != 0){
            this.chargeScore = '100';
            this.poping = true;
            this.loading = true;
            this.cashScore(104);
          } else{
            this.canNuoGet();
          }
          break;
        case '105':
          if (this.medalNum[203] != 0 && this.medalNum[206] != 0){
            this.chargeScore = '50';
            this.poping = true;
            this.loading = true;
            this.cashScore(105);
            break;
          } else{
            this.canNuoGet();
          }

      }
    },

    canNuoGet: function () {
      this.poping = true;
      this.pop.false = true;
      this.pop.falseMsg = '您的勋章还不够哦!';
      var vm = this;
      setTimeout(function () {
        vm.closeMask();
      }, 2000)
    },

    // 确认充值
    affirmRecharge: function (chargeId) {
      var reg = /^1+\d{10}$/;
      if(!reg.test(this.phoneNumber)){
        this.tips.chargeTips = '请输入正确手机号!'
      } else{
        if (this.phoneNumber && this.rePhoneNumber && this.phoneNumber != '' && this.rePhoneNumber != '') {
          if(this.phoneNumber == this.rePhoneNumber) {
            this.chargePhone(this.rePhoneNumber, chargeId);
            this.loading = true;
          } else{
            this.tips.chargeTips = '两次手机号码输入不一致!'
          }
        } else {
          this.tips.chargeTips = '请输入手机号码';
        }
      }
    },

    // 话费充值
    chargePhone: function (number, chargeId) {
      var query = '?param=%7B"userID":"' + this.userId + '","token":"' + this.token + '","id":"' + chargeId + '","mobile":"' + number + '","platform":"' + this.platform + '"%7D';
      var phoneChargeUrl = this.url.chargeUrl + query;
      this.$http.jsonp(phoneChargeUrl, {}, {emulateJSON: true, timeout: 20000})
        .then(
          function (res) {
            this.initData();
            this.loading = false;
            this.pop.inputCharge = false;
            this.pop.ECard = false;
            var flag = res.data.data.flag;
            setTimeout(this.closeMask, 2000);
            if(flag == 1) {
              this.tips.chargeTips = '';
              if (chargeId == 101) {
                this.pop.chargeSuccess = true;
              } else {
                this.pop.ECardSuccess = true;
              }
            } else {
              this.pop.false = true;
              this.pop.falseMsg = res.data.error_msg;
            }
          },
          function (res) {
            this.pop.false = true;
            this.loading = false;
            this.pop.falseMsg = '充值失败';
            setTimeout(this.closeMask, 2000);
          }
        );
    },

    // 积分兑换
    cashScore: function (id) {
      var query = '?param=%7B"userID":"' + this.userId + '","token":"' + this.token + '","id":"' + id + '","platform":"' + this.platform + '"%7D';
      var cashUrl = this.url.chargeUrl + query;
      this.$http.jsonp(cashUrl, {}, {emulateJSON: true, timeout: 20000})
        .then(
          function (res) {
            this.initData();
            this.poping = true;
            this.loading = false;
            var flag = res.data.data.flag;
            setTimeout(this.closeMask, 2000);
            if(flag == 1) {
              this.pop.integral = true;
            } else {
              this.pop.false = true;
              this.pop.falseMsg = res.data.error_msg;
              setTimeout(this.closeMask, 2000);
            }
          },
          function (res) {
            this.poping = true;
            this.pop.false = true;
            this.pop.falseMsg = '兑换失败!';
            setTimeout(this.closeMask, 2000);
          }
        );
    },

    // 返回
    back: function () {
      history.back();
    }
  }
});