var vm = new Vue({
  el: '#app',
  data: {
    medalNum: {
      '201': 0, //北京
      '202': 0, //上海
      '203': 0, //哈尔滨
      '204': 0, //乌鲁木齐
      '205': 0, //拉萨
      '206': 0  //三亚
    },
    cityName:{
      '201':'北京',
      '202':'上海',
      '203':'哈尔滨',
      '204':'乌鲁木齐',
      '205':'拉萨',
      '206':'三亚'
    },
    missionList: {
      '301': {
        title: 'APP积分中心往返公众号任务',
        taskId: 301,
        medalNum: '2',
        status: '1'
      },
      '302': {
        title: '每日添加行程',
        taskId: 302,
        medalNum: '1',
        status: '1'
      },
      '303': {
        title: '每日分享往返APP到朋友圈',
        taskId: 303,
        medalNum: '1',
        status: '1'
      },
      '304': {
        title: '每日往返APP在线达6分钟',
        taskId: 304,
        medalNum: '1',
        status: '1'
      },
      '305': {
        title: '每日在往返APP内阅读5篇新闻',
        taskId: 305,
        medalNum: '1',
        status: '1'
      },
      '306': {
        title: '每日往返签到',
        taskId: 306,
        medalNum: '1',
        status: '1'
      },
      '307': {
        title: '每日观看一部电影',
        taskId: 307,
        medalNum: '1',
        status: '1'
      }
    },
    imgUrlList: {
      '201':'images/medal/beijing.png',
      '202': 'images/medal/shanghai.png',
      '203': 'images/medal/haerbin.png',
      '204': 'images/medal/wulumuqi.png',
      '205': 'images/medal/lasa.png',
      '206': 'images/medal/sanya.png'
    },
    poping: false,
    loading: false,
    pop: {
      window: false,
      false: false,
      falseMsg: ''
    },
    getTheMedal: [],
    active: '',
    userId: '',
    token: '',
    platform: '',
    block: {},
    url: {
      // 任务列表
      getMissionUrl: Comm.host + '/api/web/v1/medal/tasklist',
      // 获取勋章数量
      getMedalListUrl: Comm.host + '/api/web/v1/medal/list',
      // 获取勋章接口
      getMedalUrl: Comm.host + '/api/web/v1/medal/getmedal'
    }
  },
  ready: function () {
    this.active = 'active';
    console.log(this.missionList);
    this.$nextTick(function () {
      this.block = {
        display: 'block'
      }
    });

    this.userId = Comm.getCookie('userId');
    this.token = Comm.getCookie('token');
    this.platform = Comm.getCookie('platform');
    this.initData();
    Comm.recordDataPv("xunzhang.page.load");
  },
  methods: {
    // 初始化数据
    initData: function () {
      if (this.userId && this.token && this.platform) {
        // 获取任务数据
        var query = '?param=%7B"userID":"' + this.userId + '","token":"' + this.token + '","platform":"' + this.platform + '"%7D';
        var missionUrl = this.url.getMissionUrl + query;
        this.$http.jsonp(missionUrl, {}, {emulateJSON: true, timeout: 20000})
          .then(
            function (res) {
              var missionData = res.data.data.list;
              for (var i = 0, j=missionData.length; i < j; i++) {
                this.missionList[missionData[i].taskId].status = missionData[i].task_status
              }
            },
            function (res) {
              console.log(res);
            }
          );

        // 获取勋章数据
        var medalUrl = this.url.getMedalListUrl + query;
        this.$http.jsonp(medalUrl, {}, {emulateJSON: true, timeout: 20000})
          .then(
            function (res) {
              var medalData = res.data.data.list;
              console.log(medalData);

              for (var i = 0, j = medalData.length; i < j; i++) {
                this.medalNum[medalData[i].medal_type] = medalData[i].medal_num;
              }

            },
            function (res) {

            }
          );
      }
    },
    
    // 领取勋章
    getMedal: function (id) {
      this.poping = true;
      this.loading = true;
      var query = '?param=%7B"userID":"' + this.userId + '","token":"' + this.token + '","taskId":"' + id + '","platform":"' + this.platform + '"%7D';
      var getMedalFullUrl = this.url.getMedalUrl + query;
      this.$http.jsonp(getMedalFullUrl, {}, {emulateJSON: true, timeout: 20000})
       .then(
         function (res) {
           this.loading = false;
           var flag = res.data.data.flag;
           if (res.data.error_code == 28) {
             this.pop.falseMsg = '网络请求失败';
             this.poping = true;
             this.pop.false = true;
             setTimeout(this.closeMask, 2000);
           } else {
             this.initData();
             if (flag == 1) {
               var medal = res.data.data.medal;
               this.getTheMedal = [];
               for (var i = 0, j = medal.length; i < j; i++) {
                 this.getTheMedal.push(medal[i].medal_type);
               }
               this.poping = true;
               this.pop.window = true;
               setTimeout(this.closeMask, 2000);
             } else {
               console.log(res.data.error_msg);
               this.pop.falseMsg = res.data.error_msg;
               this.poping = true;
               this.pop.false = true;
               setTimeout(this.closeMask, 2000);
             }
           }
         },
         function (res) {
           this.loading = false;
           this.pop.falseMsg = '兑换失败!';
           this.poping = true;
           this.pop.false = true;
           setTimeout(this.closeMask, 2000);
         }
       )
    },
    
    // 关闭遮罩层
    closeMask: function () {
      this.poping = false;
      this.loading = false;
      this.pop.window = false;
      this.pop.false = false;
    },

    // 跳转到抽页
    jumpToPrize: function () {
      location.assign('./medalPrize.html');
    },

    back: function () {
      history.back();
    }
    
  }
});