"use strict"

var introHeight;
var params;
var id;

//解析参数
function getQueryString(name) {
  var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
  var r = window.location.search.substr(1).match(reg);
  if(r != null) return unescape(r[2]);
  return null;
}

function collect() {
  $('.amui-header-heart').toggleClass('amui-header-heart-no').toggleClass('amui-header-heart-yes');
  if ($('.amui-header-heart').hasClass('amui-header-heart-yes')) {
    var collect3 = '<i class="amui-header-heart-3"></i>';
    $('.amui-header').append(collect3);
    $('.amui-header-heart-3').animate({
      width: '2.8rem',
      height: '2.4rem',
      right: '40%',
      top: '80%',
      opacity: 0
    } ,1000);
    var timer = setTimeout(function () {
      $('.amui-header-heart-3').eq(0).remove();
      clearTimeout(timer);
    }, 1000);
  } else{

  }
}

//展示简介
function showIntro() {
  if(!$('.amui-introduce').attr('data-desc')) {
    $('.amui-arrow').toggleClass('amui-arrow-down').toggleClass('amui-arrow-up');
    if($('.amui-arrow').hasClass('amui-arrow-up')) {
      $('.amui-introduce').animate({
        height: 3.2066666666666666 + introHeight + 'rem'
      });
      setTimeout(function () {
        $('.amui-shadow').hide();
      }, 400)
    } else {
      $('.amui-introduce').animate({
        height: '4.2rem'
      });
      $('.amui-shadow').show();
    }
  }
}

function getData() {
  //pv打点
  var movieUrl = getQueryString('fullUrl');
  var noFlowUrl = movieUrl + '?t=' + Date.parse(new Date());
  $.ajax({
    type:"get",
    url:noFlowUrl,
    dataType: "json",
    success: function (data) {
      $('body').css('display', 'block');
      // console.log(data);
      var movieData = data;
      if (movieData) {
        var title = movieData.title,
          id = movieData.id,
          img = movieData.image,
          img_hori = movieData.image_hori,
          score = movieData.douban_score,
          desc = movieData.description,
          director = movieData.director,
          actor = movieData.actor,
          play_count = movieData.play_count,
          release_year = movieData.release_year,
          tag = movieData.tag,
          file = movieData.file;
        // $('#video').attr('src', file);
        Comm.recordDataPv("movie.detail." + id);
        params = {
          title: title,
          type: '-1',
          purl: 'http://www.wangfanwifi.com/'+file
        };
        params = encodeURIComponent(JSON.stringify(params));

        $('title').text(title);
        $('.amui-header-title').text(title);
        if (score) {
          $('.amui-header-score').text(score);
        } else {
          $('.amui-header-star-line').hide();
          $('.amui-header-title').css('margin-top', '10px');
          $('.amui-header-from-line').css('margin-top', '5px');
        }
        $('.amui-header-play-img').attr('src', img);
        $('.amui-header-bg').attr('src', img_hori);
        $('.amui-header-year').text(release_year+'/'+tag.replace(new RegExp(';', 'g'),'/'));
        var playNum;
        if(play_count >= 10000) {
          playNum = parseInt(play_count / 10000) + '万';
        } else if (!play_count || play_count == null || play_count == 0) {
          playNum = 0;
        } else {
          playNum = play_count;
        }
        $('.amui-header-play-num').text(playNum);
        $('.amui-header-director-name').text(director.replace(new RegExp(',', 'g'), ' '));
        $('.amui-header-performent-name').text(actor.replace(new RegExp(',', 'g'), ' '));
        // 设置简介高度
        $('.amui-intro').text(desc);
        if(desc.length <= 66) {
          $('.amui-arrow').hide();
          $('.amui-shadow').hide();
          $('.amui-introduce').attr('data-desc', true);
        }
        introHeight = (parseInt($('.amui-intro').css('height')) + 10) / 37.5;
        //设置星星
        var starNumFull = parseInt(score / 2);
        var star = $('.amui-header-star');
        for (var i = 0; i < starNumFull; i++) {
          star.eq(i).removeClass('amui-header-star-none').addClass('amui-header-star-full');
        }
        var starNumHalf = (score / 2) >= 1;
        if (starNumHalf) {
          star.eq(starNumFull).removeClass('amui-header-star-none').addClass('amui-header-star-half');
        }


      }
    },
    error: function (err) {
      console.log(err)
    }
  });

  var recommandUrl ='data/appvideo/list/1';
  $.ajax({
    type: "get",
    url: recommandUrl,
    dataType: "json",
    success: function (data) {
      console.log(data);
      var recommendList = data;
      // 设置推荐
       var recommend = '';
       for (var i = 0, j = recommendList.length; i < j; i ++) {
       var recomHtml = '<div class="amui-recom-item" onclick="selectRecommend(\'' + recommendList[i].fullUrl + '\')">'+
       '<div class="amui-recom-item-img">'+
       '<img src="' + recommendList[i].image + '" alt="">'+
       '<span class="amui-recom-item-score">' + recommendList[i].douban_score + '</span>'+
       '</div>'+
       '<p class="amui-recom-item-title">' + recommendList[i].title + '</p>'+
       // '<p class="amui-recom-item-info">' + recommendList[i].description + '</p>'+
       '</div>';
       recommend += recomHtml;
       }
       $('.amui-recom-list').append(recommend);
    }
  })
}

getData();

function playVideo() {
  /*var video = document.getElementById('video');
  $('.video').show();
  video.play();
  if(video.requestFullscreen){
    video.requestFullscreen();
  } else if (video.mozRequestFullScreen) {
    video.mozRequestFullScreen();
  } else if (video.webkitRequestFullScreen) {
    video.webkitRequestFullScreen();
  } else if (video.msRequestFullscreen) {
    video.msRequestFullscreen();
  }*/
  
  //播放打点
  Comm.recordDataClick("movie.detail.play."+Comm.getQueryString("id"));
  console.log('iwangfan://playTVKVideo?type=-1&param=' + params);
  location.assign('iwangfan://playTVKVideo?param=' + params);
  
  
}

$('#video').on('webkitfullscreenchange', function () {
  var video = document.getElementById('video');
  if (!document.webkitIsFullScreen) { //退出全屏暂停视频
    video.pause();
    $('.video').hide();
  };
});
//跳转至推荐内容
function selectRecommend(fullUrl) {
  // alert(type + ':' + id);

  //推荐内容 打点 movie.detail.recon.[内容id]
  Comm.recordDataClick("movie.detail.recon." + id);

  location.assign('noFlow.html?fullUrl=' + fullUrl);
}

var browser={
  versions:function(){
    var ua = navigator.userAgent;
    return {//移动终端浏览器版本信息
      mobile: !!ua.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
      ios: !!ua.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
      android: ua.indexOf('Android') > -1 || ua.indexOf('Linux') > -1 //android终端或uc浏览器
    };
  }()
};

/*function appDownload() {
  if(browser.versions.ios && browser.versions.mobile) {
    location.assign('https://itunes.apple.com/cn/app/id458318329?mt=8')
  } else {
    location.assign('/cms/apps/20161206/txvideo.apk')
  }
}*/






