"use strict"

var pageArray = [];
var pageSize = 60;
var str = '';
var pageNumList = '';
var width = window.innerWidth;
var height = window.innerHeight;
var introHeight;
var params;
var episodesList;
var tid;

var playId = Comm.getQueryString("id");
//pv打点
Comm.recordDataPv("movie.detail."+playId,"movie.detail",playId);

//解析参数
function getQueryString(name) {
  var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
  var r = window.location.search.substr(1).match(reg);
  if(r != null) return unescape(r[2]);
  return null;
}

var movieType = getQueryString('type'),
    movieId = getQueryString('id');

// 收藏
function collect() {
  $('.amui-header-heart').toggleClass('amui-header-heart-no').toggleClass('amui-header-heart-yes');
  if ($('.amui-header-heart').hasClass('amui-header-heart-yes')) {
    var collect3 = '<i class="amui-header-heart-3"></i>';
    $('.amui-header').append(collect3);
    $('.amui-header-heart-3').animate({
      width: '2.8rem',
      height: '2.4rem',
      right: '40%',
      top: '80%',
      opacity: 0
    } ,1000);
    var timer = setTimeout(function () {
      $('.amui-header-heart-3').eq(0).remove();
      clearTimeout(timer);
    }, 1000);
  }
}

//展示简介
function showIntro() {
  if(!$('.amui-introduce').attr('data-desc')) {
    $('.amui-arrow').toggleClass('amui-arrow-down').toggleClass('amui-arrow-up');
    if($('.amui-arrow').hasClass('amui-arrow-up')) {
      $('.amui-introduce').animate({
        height: 1.2066666666666666 + introHeight + 'rem'
      });
      setTimeout(function () {
        $('.amui-shadow').hide();
      }, 400)
    } else {
      $('.amui-introduce').animate({
        height: '2.6rem'
      });
      $('.amui-shadow').show();
    }
  }
}

//选择电视剧(关闭全集)
function selectPlaynumOff(index) {
  params = encodeURIComponent(JSON.stringify(episodesList[index]));
  $('.amui-episode-complete-item').eq(index).addClass('active').siblings().removeClass('active');
  $('.amui-episode-full-item').removeClass('active').eq(index).addClass('active');
  var pageNum = Math.floor(index / pageSize);
  choiceNum(pageNum);
  //保持展开状态标题在屏幕中间
  var scrollLeft = (pageNum * 70 - 155) / 375 * width;
  $('.amui-episode-full-choice').scrollLeft(scrollLeft);

  //剧集切换 打点 movie.detail.switch.[电影id]
  Comm.recordDataClick("movie.detail.switch."+tid,"movie.detail.switch",tid);
  playVideo();
}

//选择电视剧(打开全集)
function selectPlaynumOn(index) {
  params = encodeURIComponent(JSON.stringify(episodesList[index]));
  $('.amui-episode-complete-item').eq(index).addClass('active').siblings().removeClass('active');
  $('.amui-episode-full-item').removeClass('active').eq(index).addClass('active');
  var scrollLeft = (index * 60 - 155) / 375 * width;
  $('.amui-episode-complete-list').scrollLeft(scrollLeft);

  //剧集切换 打点 movie.detail.switch.[电影id]
  Comm.recordDataClick("movie.detail.switch."+tid,"movie.detail.switch",tid);
  playVideo();
}
//打开全集列表
function showEpisode() {
  $(".amui-full").show();
  $('.amui-episode-full').animate({
    top: '5.06666rem'
  }, 400);
  $('body').animate({scrollTop: 0}, 400);
  setTimeout(function () {
    $(".amui-header").addClass("fx");
    $('.amui-introduce').addClass("mt");
  }, 400);
}
//关闭全集列表
function closeEpisode() {
  $('body').scrollTop(0);
  $('.amui-episode-full').animate({
    top: '100%'
  }, 400);
  setTimeout(function(){
    $(".amui-header").removeClass("fx");
    $(".amui-full").hide();
    $('.amui-introduce').removeClass("mt");
  },400);
}

//禁止滑动 头部
$(".amui-full").on("touchmove",function(e){
  var event = e || window.event;
  if($(event.target).hasClass("amui-episode-full-title") || $(event.target).closest(".amui-episode-full-title").length > 0 || $(event.target).hasClass("amui-full")){
    event.preventDefault();
    event.stopPropagation();
  }
  if($(event.target).hasClass("amui-episode-full-list")){
    event.preventDefault();
    event.stopPropagation();
  }
  if($(".amui-episode-full-list").hasClass("notMove") && $(event.target).closest(".amui-episode-full-page").length > 0){
    event.preventDefault();
    event.stopPropagation();
  }
});
//禁止 剧集横向滚动 计算角度 禁止 touchumove事件
var sy = 0,sx = 0, mx = 0, my = 0;
$(".amui-episode-full-choice").on("touchstart",function(e){
  sx = event.touches[0].pageX;
  sy = event.touches[0].pageY;
});
$(".amui-episode-full-choice").on("touchmove",function(e){
  mx =  event.touches[0].pageX;
  my =  event.touches[0].pageY;
  if(angle({x:sx,y:sy},{x:mx,y:my}) >30){
    event.preventDefault();
    event.stopPropagation();
  }
  if($(event.target).hasClass("amui-episode-full-choice") || $(".amui-episode-full-scroll").find(".amui-episode-full-num").length < 5){
    event.preventDefault();
    event.stopPropagation();
  }
});
function angle(start,end){
  var diff_x = end.x - start.x,
    diff_y = end.y - start.y;
  //返回角度,不是弧度
  return Math.abs(360*Math.atan(diff_y/diff_x)/(2*Math.PI));
}

//选择剧集1-60
var readyChang = true;
function choiceNum(index) {
  if(readyChang) {
    readyChang = false;
    $('.amui-episode-full-num').eq(index).addClass('active').siblings().removeClass('active');
    $('.amui-underline').animate({
      left: index * 1.8666666666666667 + 'rem'
    });
    $('.amui-episode-full-page').eq(index).addClass('active').animate({
        opacity: 1
      }, 400)
      .siblings().animate({
      opacity: 0
    }, 400);
    var timer = setTimeout(function () {
      $('.amui-episode-full-page').eq(index).siblings().removeClass('active');
      readyChang = true;
      clearTimeout(timer);
    }, 400)
  }
}


function getData() {
  var param = {
    "id": movieId, //42
    "platform": "h5",
    "type": movieType, //2
    "data":{

    }
  };

  var typeApi = Comm.host + 'api/web/v1/media/detail';

  $.ajax({
    type:"get",
    url:typeApi,
    dataType: "jsonp",
    jsonp:'callback',
    data:{param:JSON.stringify(param)},
    beforeSend : function(){
      $(".amui-loading").removeClass("amui-new-template-hide");
    },
    success: function (data) {
      console.log(data);
      var movieData = data.data;
      if (movieData) {
        var title = movieData.title,
          img = movieData.image,
          img_hori = movieData.image_hori,
          desc = movieData.description,
          director = movieData.director,
          actor = movieData.actor,
          play_count = movieData.play_count,
          release_year = movieData.release_year,
          purl = movieData.purl_app,
          tag = movieData.tag,
          recommendList = movieData.recommendList,
          recommendLength = recommendList.length;
          episodesList = movieData.episodesList;
          tid = movieData.tid;
          var episodeLength = episodesList.length;
          var pageLength = Math.ceil(episodeLength / pageSize); //剧集列表页数
        $('title').text(title);
        $('.amui-app').css('display', 'block');
        $('.amui-header-title').text(title);
        $('.amui-header-play-img').attr('src', img);
        $('.amui-header-bg').attr('src', img_hori);
        $('.amui-header-year').text(release_year+'/'+tag.replace(new RegExp(';', 'g'),'/'));
        var playNum;
        if(play_count >= 10000) {
          playNum = parseInt(play_count / 10000) + '万';
        } else if (!play_count || play_count == null || play_count == 0) {
          playNum = 0;
        } else {
          playNum = play_count;
        }
        $('.amui-header-play-num').text(playNum);
        $('.amui-header-director-name').text(director.replace(new RegExp(',', 'g'), ' '));
        $('.amui-header-performent-name').text(actor.replace(new RegExp(',', 'g'), ' '));
        // 设置简介高度
        $('.amui-intro').text(desc);
        if(desc.length <= 87) {
          $('.amui-arrow').hide();
          $('.amui-shadow').hide();
          $('.amui-introduce').attr('data-desc', true);
        }
        introHeight = (parseInt($('.amui-intro').css('height')) + 10) / 37.5;

        $('.amui-episode-complete').html('共' + episodeLength + '集').append('<i class="amui-arrow-right"></i>');
        // 剧集大于30  可以滚动 否则不可滚动
        if(episodeLength < 30){
            $(".amui-episode-full-list").addClass("notMove");
        }
        //剧集列表(展开)目录
        for (var i = 0; i < pageLength; i++) {
          var startPage = i * pageSize + 1;
          var endPage = (i + 1) * pageSize;
          var pageNumItem;
          if(i == pageLength - 1) {
            pageNumItem = '<span class="amui-episode-full-num" onclick="choiceNum(' + i + ')">'+ startPage +'-'+episodeLength + '</span>';
          } else {
            pageNumItem = '<span class="amui-episode-full-num" onclick="choiceNum(' + i + ')">'+ startPage +'-'+endPage + '</span>';

          }
          pageNumList += pageNumItem;

          // 剧集列表页
          pageArray.push(str);
          var page = '<div class="amui-episode-full-page"></div>';
          $('.amui-episode-full-list').append(page);
        }

        //设置剧集列表宽度
        $('.amui-episode-full-scroll').append(pageNumList).css({
          width: pageLength * 1.8666666666666667 +'rem'
        });

        ScrollFix(".amui-episode-full-page");

        var pageList = '';
        for (var i = 0; i < episodeLength; i ++) {
          var pageNum = Math.ceil((i+1) / pageSize);
          /*var pageNumPrev = Math.ceil(i / pageSize);
           if(pageNum > pageNumPrev) {
           html.push('');
           }*/
          //展开
          var fullListItem = '<div class="amui-episode-full-item" onclick="selectPlaynumOn(' + (i) + ')">' + (i+1) + '</div>';
          pageArray[pageNum-1] += fullListItem;
          // 未展开
          var listItem = '<div class="amui-episode-complete-item" onclick="selectPlaynumOff(' + i + ')">' + (i + 1) + '</div>';
          pageList += listItem;
        };
        //设置未展开列表宽度
        $('.amui-episode-complete-inner').append(pageList).css('width', (episodeLength * 1.6 + 0.26666666666666666) + 'rem');
        $('.amui-episode-complete-item').eq(0).addClass('active');
        // console.log(pageArray);
        for (var i = 0; i < pageLength; i++) {
          $('.amui-episode-full-page').eq(i).append(pageArray[i]);
          if (i == pageLength-1) {
            $('.amui-episode-full-num').eq(0).addClass('active');
            $('.amui-episode-full-item').eq(0).addClass('active');
          }
        }
        $('.amui-episode-full-page').eq(0).addClass('active').css('opacity', '1');

        // 设置推荐
        var recommend = '';
        for (var i = 0; i < recommendLength; i ++) {
          var recomHtml = '<div class="amui-recom-item" onclick="selectRecommend(' + recommendList[i].cp_type + ',' + recommendList[i].id + ')">'+
            '<div class="amui-recom-item-img">'+
            '<img src="' + recommendList[i].image + '" alt="">'+
            '</div>'+
            '<p class="amui-recom-item-title">' + recommendList[i].title + '</p>'+
            '<p class="amui-recom-item-info">' + recommendList[i].description + '</p>'+
            '</div>';
          recommend += recomHtml;
        }
        $('.amui-recom-list').append(recommend);
      }
    },
    error: function (err) {
      console.log(err)
      setTimeout(function(){
        $(".amui-live-error").removeClass("amui-new-template-hide");
        $(".amui-live-error").on("click",function(){
          window.location.reload();
        });
      },200);

    },
    complete : function(){
      $(".amui-loading").addClass("amui-new-template-hide");
    }
  })
}

getData();

// 播放
function playVideo() {

  //播放打点
  Comm.recordDataClick("movie.detail.play."+playId,"movie.detail.play",playId);

  if(!params) {
    params = encodeURIComponent(JSON.stringify(episodesList[0]));
    console.log('iwangfan://playTVKVideo?tid=' + tid + '&type=' + movieType + '&param=' + params);
    location.assign('iwangfan://playTVKVideo?tid=' + tid + '&type=' + movieType + '&param=' + params);
  } else {
    console.log('iwangfan://playTVKVideo?tid=' + tid + '&type=' + movieType + '&param=' + params);
    location.assign('iwangfan://playTVKVideo?tid=' + tid + '&type=' + movieType + '&param=' + params);
  }
}

//跳转至推荐内容
function selectRecommend(type, id) {
  // alert(type + ':' + id);
  //推荐内容 打点 movie.detail.recon.[内容id]
  Comm.recordDataClick("movie.detail.recon."+id,"movie.detail.recon",id);

  location.assign('teleplayDetail.html?type=' + type + '&id=' + id);
}

var ScrollFix = function(elem) {
  // Variables to track inputs
  var startY, startTopScroll;

  elem = document.querySelector(elem);

  // If there is no element, then do nothing
  if(!elem)
    return;

  // Handle the start of interactions
  elem.addEventListener('touchstart', function(event){
    startY = event.touches[0].pageY;
    startTopScroll = elem.scrollTop;

    if(startTopScroll <= 0)
      elem.scrollTop = 1;

    if(startTopScroll + elem.offsetHeight >= elem.scrollHeight)
      elem.scrollTop = elem.scrollHeight - elem.offsetHeight - 1;
  }, false);
};

var browser={
  versions:function(){
    var ua = navigator.userAgent;
    return {//移动终端浏览器版本信息
      mobile: !!ua.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
      ios: !!ua.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
      android: ua.indexOf('Android') > -1 || ua.indexOf('Linux') > -1 //android终端或uc浏览器
    };
  }()
};

function appDownload() {
  if(browser.versions.ios && browser.versions.mobile) {
    location.assign('https://itunes.apple.com/cn/app/id458318329?mt=8')
  } else {
    location.assign('/cms/apps/20161206/txvideo.apk')
  }
}





