"use strict"

var str = '';
var pageNumList = '';
var width = window.innerWidth;
var introHeight;
var episodesList;
var params;
var tid;

var playId = Comm.getQueryString("id");
//pv打点
Comm.recordDataPv("movie.detail."+playId,"movie.detail",playId);

//解析参数
function getQueryString(name) {
  var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
  var r = window.location.search.substr(1).match(reg);
  if(r != null) return unescape(r[2]);
  return null;
}

var movieType = getQueryString('type'),
    movieId = getQueryString('id'),
    movieIndex = getQueryString('movieIndex');

// 收藏
function collect() {
  $('.amui-header-heart').toggleClass('amui-header-heart-no').toggleClass('amui-header-heart-yes');
  if ($('.amui-header-heart').hasClass('amui-header-heart-yes')) {
    var collect3 = '<i class="amui-header-heart-3"></i>';
    $('.amui-header').append(collect3);
    $('.amui-header-heart-3').animate({
      width: '2.8rem',
      height: '2.4rem',
      right: '40%',
      top: '80%',
      opacity: 0
    } ,1000);
    var timer = setTimeout(function () {
      $('.amui-header-heart-3').eq(0).remove();
      clearTimeout(timer);
    }, 1000);
  }
}

//展示简介
function showIntro() {
  if(!$('.amui-introduce').attr('data-desc')) {
    $('.amui-arrow').toggleClass('amui-arrow-down').toggleClass('amui-arrow-up');
    if($('.amui-arrow').hasClass('amui-arrow-up')) {
      $('.amui-introduce').animate({
        height: 3.2066666666666666 + introHeight + 'rem'
      });
      setTimeout(function () {
        $('.amui-shadow').hide();
      }, 400)
    } else {
      $('.amui-introduce').animate({
        height: '4.2rem'
      });
      $('.amui-shadow').show();
    }
  }
}

//选择电视剧(关闭全集)
function selectPlaynumOff(index) {
  params = encodeURIComponent(JSON.stringify(episodesList[index]));
  $('.amui-episode-complete-item').eq(index).addClass('active').siblings().removeClass('active');
  $('.amui-episode-full-item').removeClass('active').eq(index).addClass('active');
  var scrollTop = (index * 84) / 375 * width;
  $('.amui-episode-full-list').scrollTop(scrollTop);

  //剧集切换 打点 movie.detail.switch.[电影id]
  Comm.recordDataClick("movie.detail.switch."+tid,"movie.detail.switch",tid);
  //保持展开状态标题在屏幕中间
  playVideo(index);
  $('.play-now').attr('onclick','playVideo(' + index + ')');
}

//选择电视剧(打开全集)
function selectPlaynumOn(index) {
  params = encodeURIComponent(JSON.stringify(episodesList[index]));
  $('.amui-episode-complete-item').eq(index).addClass('active').siblings().removeClass('active');
  $('.amui-episode-full-item').removeClass('active').eq(index).addClass('active');
  var scrollLeft = (index * 150 - 110) / 375 * width;
  $('.amui-episode-complete-list').scrollLeft(scrollLeft);

  //剧集切换 打点 movie.detail.switch.[电影id]
  Comm.recordDataClick("movie.detail.switch."+tid,"movie.detail.switch",tid);
  playVideo(index);
  $('.play-now').attr('onclick','playVideo(' + index + ')');
}

function selectPlayNum() {
  var index = movieIndex - 1;
  params = encodeURIComponent(JSON.stringify(episodesList[index]));
  $('.amui-episode-complete-item').eq(index).addClass('active').siblings().removeClass('active');
  $('.amui-episode-full-item').removeClass('active').eq(index).addClass('active');
  var scrollTop = (index * 84) / 375 * width;
  $('.amui-episode-full-list').scrollTop(scrollTop);

  var scrollLeft = (index * 150 - 110) / 375 * width;
  $('.amui-episode-complete-list').scrollLeft(scrollLeft);
}

//打开全集列表
function showEpisode() {
  $('.amui-episode-full').animate({
    top: '0rem'
  }, 400);
  $('body').animate({scrollTop: 0}, 400);
  setTimeout(function () {
    $('.amui-header').css('position', 'fixed');
  }, 400);
  $(".amui-body").addClass("notMove");
}

//关闭全集列表
function closeEpisode() {
  $('.amui-header').css('position', 'relative');
  $('body').scrollTop(0);
  $('.amui-episode-full').animate({
    top: '26.666666666666668rem'
  }, 400);
  $(".amui-body").removeClass("notMove");
}
//获取数据
function getData() {
  var param = {
    "id": movieId, //42
    "platform": "h5",
    "type": movieType, //2
    "data":{

    }
  };

  var typeApi = Comm.host + 'api/web/v1/media/detail';

  $.ajax({
    type:"get",
    url:typeApi,
    dataType: "jsonp",
    jsonp:'callback',
    data:{param:JSON.stringify(param)},
    beforeSend : function(){
      $(".amui-loading").removeClass("amui-new-template-hide");
    },
    success: function (data) {
      console.log(data);
      var movieData = data.data;
      if (movieData) {
        var title = movieData.title,
            img = movieData.image,
            img_hori = movieData.image_hori,
            score = movieData.douban_score,
            desc = movieData.description,
            director = movieData.director,
            actor = movieData.actor,
            play_count = movieData.play_count,
            release_year = movieData.release_year,
            purl = movieData.purl_app,
            tag = movieData.tag,
            area = movieData.area,
            recommendList = movieData.recommendList,
            recommendLength = recommendList.length;
            episodesList = movieData.episodesList;
        $('title').text(title);
        var episodeLength = episodesList.length;
        tid = movieData.tid;
        $('.amui-app').show();
        $('.amui-header-title').text(title);
        $('.amui-header-score').text(score);
        $('.amui-header-play-img').attr('src', img);
        $('.amui-header-bg').attr('src', img_hori);
        $('.amui-header-year').text(release_year+'/'+tag.replace(new RegExp(';', 'g'),'/'));
        var playNum;
        if(play_count >= 10000) {
          playNum = parseInt(play_count / 10000) + '万';
        } else if (!play_count || play_count == null || play_count == 0) {
          playNum = 0;
        } else {
          playNum = play_count;
        }
        $('.amui-header-play-num').text(playNum);
        $('.amui-header-director-name').text(area.replace(new RegExp(',', 'g'), ' '));
        $('.amui-header-performent-name').text(tag.replace(new RegExp(',', 'g'), ' '));
        // 设置简介高度
        $('.amui-intro').text(desc);
        if(desc.length <= 66) {
          $('.amui-arrow').hide();
          $('.amui-shadow').hide();
          $('.amui-introduce').attr('data-desc', true);
        }
        introHeight = (parseInt($('.amui-intro').css('height')) + 10) / 37.5;

        $('.amui-episode-complete').html('全' + episodeLength + '期').append('<i class="amui-arrow-right"></i>');

        //设置剧集列表宽度
        $('.amui-episode-full-scroll').append(pageNumList).css({
          width: episodeLength * 1.8666666666666667 +'rem'
        });

        var pageList = '',
          fullList= '';
        for (var i = 0; i < episodeLength; i ++) {
          // 展开
          var fullListItem = '<div class="amui-episode-full-item" onclick="selectPlaynumOn(' + (i) + ')">' +
            '<img class="amui-episode-full-img" src="' + episodesList[i].v_pic + '">' +
            '<div class="amui-episode-full-text">'+ episodesList[i].v_title +'</div>'+
            '<p class="amui-episode-full-date">' + episodesList[i].create_time + '</p>' +
            '</div>';
          fullList += fullListItem;
          // 未展开
          var listItem = '<div class="amui-episode-complete-item" onclick="selectPlaynumOff(' + i + ')">' +
            '<div class="amui-episode-complete-text">'+episodesList[i].v_title+'</div>' +
            '<div class="amui-episode-complete-date">'+ episodesList[i].create_time +'</div>' +
            '</div>';
          pageList += listItem;
        };
        //设置展开
        $('.amui-episode-full-list').append(fullList);

        ScrollFix(".amui-episode-full-list");


        //设置未展开列表宽度
        $('.amui-episode-complete-inner').append(pageList).css('width', (episodeLength * 4 + 0.26666666666666666) + 'rem');
        $('.amui-episode-complete-item').eq(0).addClass('active');
        $('.amui-episode-full-item').eq(0).addClass('active');
        // 设置推荐
        var recommend = '';
        for (var i = 0; i < recommendLength; i ++) {
          var recomHtml = '<div class="amui-recom-item" onclick="selectRecommend(' + recommendList[i].cp_type + ',' + recommendList[i].id + ')">'+
            '<div class="amui-recom-item-img">'+
            '<img src="' + recommendList[i].image + '" alt="">'+
            '</div>'+
            '<p class="amui-recom-item-title">' + recommendList[i].title + '</p>'+
            '<p class="amui-recom-item-info">' + recommendList[i].description + '</p>'+
            '</div>';
          recommend += recomHtml;
        }
        $('.amui-recom-list').append(recommend);
        // $('.amui-loading').hide();

        if(movieIndex) {
          selectPlayNum();
        }
      }
    },
    error: function (err) {
      console.log(err)
      setTimeout(function(){
        $(".amui-live-error").removeClass("amui-new-template-hide");
        $(".amui-live-error").on("click",function(){
          window.location.reload();
        });
      },200);
    },
    complete : function(){
      $(".amui-loading").addClass("amui-new-template-hide");
    }
  })
}

getData();

// 播放
function playVideo(index) {
  //播放打点
  Comm.recordDataClick("movie.detail.play."+playId,"movie.detail.play",playId);
  var wangfan_tid = episodesList[index].id;

  if(!params) {
    params = encodeURIComponent(JSON.stringify(episodesList[0]));
    console.log('iwangfan://playTVKVideo?id=' + movieId + '&tid=' + tid + '&wangfan_tid=' + wangfan_tid + '&type=' + movieType + '&param=' + params);
    location.assign('iwangfan://playTVKVideo?id=' + movieId + '&tid=' + tid + '&wangfan_tid=' + wangfan_tid + '&type=' + movieType + '&param=' + params);
  } else {
    console.log('iwangfan://playTVKVideo?id=' + movieId + '&tid=' + tid + '&wangfan_tid=' + wangfan_tid + '&type=' + movieType + '&param=' + params);
    location.assign('iwangfan://playTVKVideo?id=' + movieId + '&tid=' + tid + '&wangfan_tid=' + wangfan_tid + '&type=' + movieType + '&param=' + params);
  }
}

//跳转至推荐内容
function selectRecommend(type, id) {
  // alert(type + ':' + id);
  //推荐内容 打点 movie.detail.recon.[内容id]
  Comm.recordDataClick("movie.detail.recon."+id,"movie.detail.recon",id);

  location.assign('varietyDetail2.3.html?type=' + type + '&id=' + id);
}

var ScrollFix = function(elem) {
  // Variables to track inputs
  var startY, startTopScroll;

  elem = document.querySelector(elem);

  // If there is no element, then do nothing
  if(!elem)
    return;

  // Handle the start of interactions
  elem.addEventListener('touchstart', function(event){
    startY = event.touches[0].pageY;
    startTopScroll = elem.scrollTop;

    if(startTopScroll <= 0)
      elem.scrollTop = 1;

    if(startTopScroll + elem.offsetHeight >= elem.scrollHeight)
      elem.scrollTop = elem.scrollHeight - elem.offsetHeight - 1;
  }, false);
};

//禁止滑动 头部
$(".amui-body").on("touchmove",function(e){
  var event = e || window.event;
  if(($(event.target).hasClass("amui-body") || $(event.target).closest(".amui-body").length > 0) && $(".amui-body").hasClass("notMove")){
    event.preventDefault();
    event.stopPropagation();
  }
  });
 $(".amui-episode-full-title").on("touchmove",function(){
   if($(event.target).hasClass("amui-episode-full-title") || $(event.target).closest(".amui-episode-full-title").length > 0){
     event.preventDefault();
     event.stopPropagation();
   }
 });

var browser={
  versions:function(){
    var ua = navigator.userAgent;
    return {//移动终端浏览器版本信息
      mobile: !!ua.match(/AppleWebKit.*Mobile.*/), //是否为移动终端
      ios: !!ua.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
      android: ua.indexOf('Android') > -1 || ua.indexOf('Linux') > -1 //android终端或uc浏览器
    };
  }()
};

function appDownload() {
  if(browser.versions.ios && browser.versions.mobile) {
    location.assign('https://itunes.apple.com/cn/app/id458318329?mt=8')
  } else {
    location.assign('/cms/apps/20161206/txvideo.apk')
  }
}


