'use strict';


angular.module('wangfan')

// 文章控制器
.controller('articleController', function($scope, $rootScope, $http, $timeout, Cookie, API_ENDPOINT, AdsService, ArticleCatidService, ArticleService, RecordDataService, $compile) {
	if(!IsApp){
		$('#amui-article').css({
			'top':'43px'
		})
	}
	//加载新闻页面打点
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=news&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'news&refHitID=' + hitIdReferer);
	//页面时长打点
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;
	// 显示 Loading 状态
	vm.showloading = true;
	// 初始化异步请求数据
	ArticleCatidService.getStorage();
	ArticleService.getInitStorage();
	AdsService.getInitStorage();
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Ads.Updated', function() {
		vm.AdsService = AdsService.getStorage();
		//banner广告
		vm.ArticleAdsService = [];
		var one = vm.AdsService.news.one;
		var date = new Date();
		var now = date.getTime();
		for(var i = 0, j = one.length; i < j; i++) {
			var onlineTime = one[i].onlineTime,
				offlineTime = one[i].offlineTime;
			if(now > onlineTime && now < offlineTime) {
				vm.ArticleAdsService.push(one[i]);
			}
		}
		console.log(vm.ArticleAdsService);

		//底部浮窗广告
		if (vm.AdsService.news.four) {
			var four = vm.AdsService.news.four;
			vm.closeWindow = false;
			vm.staticBanner = [];
			for (var i = 0, j = four.length; i < j; i++) {
				var onlineTimeFour = four[i].onlineTime,
					offlineTimeFour = four[i].offlineTime;
				if (now > onlineTimeFour && now < offlineTimeFour) {
					vm.staticBanner.push(four[i]);
				}
			}
			vm.staticId = vm.staticBanner[0].id;
			console.log(vm.staticBanner);
			RecordDataService.recordData('hitID=news.bottom.onload.' + vm.staticId);
		}

		if(vm.AdsService.news.three){
			//信息流广告
			var three = vm.AdsService.news.three,
				adsArrayNum = 1,
				floorNum = -1;

			$rootScope.posStepSize = three.posStepSize;
			$rootScope.floorNum = -1;
			$rootScope.adsPageNum = 0;
			$rootScope.adsArray = [
				[]
			];
			for (var i = 0, j = three.data.length; i < j; i++) {
				var onlineTimeThree = three.data[i].onlineTime,
					offlineTimeThree = three.data[i].offlineTime;
				floorNum = floorNum + $rootScope.posStepSize;
				if (now > onlineTimeThree && now < offlineTimeThree) {
					if (floorNum <= adsArrayNum * API_ENDPOINT.articlePageSize) {
						$rootScope.adsArray[adsArrayNum - 1].push(three.data[i]);
					} else {
						$rootScope.adsArray[adsArrayNum] = [];
						$rootScope.adsArray[adsArrayNum].push(three.data[i]);
						adsArrayNum += 1;
					}

				}
			}

			//填入内容
			for (var i = 0, j = $rootScope.adsArray[0].length; i < j; i++) {
				var picture = $rootScope.adsArray[0][i].picture,
					externalUrl = $rootScope.adsArray[0][i].externalUrl,
					id = $rootScope.adsArray[0][i].id;
				$rootScope.floorNum = $rootScope.floorNum + $rootScope.posStepSize;
				var contentHtml = '<div class="amui-info-flow">' +
					'<a href="' + externalUrl + '" class="float" ng-click="mesLog(\'' + id + '\',\'{{$index+1}}\')">' +
					'<img src="' + picture + '" alt=""/>' +
					'</a>' +
					'</div>';
				var el = $compile(contentHtml)($scope);
				$('.amui-list-article-item').eq($rootScope.floorNum).after(el);
			}
		}
	});
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('ArticleCatid.Updated', function() {
		vm.ArticleTypeNavs = ArticleCatidService.getCatid();
		console.log(vm.ArticleTypeNavs);
		// 隐藏 Loading 状态
		vm.showloading = false;
		setTimeout(function() {
			$('.amui-tabsnav-scroll a').eq(0).addClass("active");
		}, 200);
	});
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Article.Updated', function() {
		vm.ArticlesData = ArticleService.getStorage();
		var timer = $timeout(function() {
			// 停止广播ion-refresher
			$scope.$broadcast('scroll.infiniteScrollComplete');
		}, 2000);
		// 隐藏 Loading 状态
		vm.showloading = false;
	});
	
	// 上拉更新
	vm.loadMore = function () {
		ArticleService.getMoreStorage();

		$rootScope.adsPageNum += 1;
		setTimeout(function () {
			for (var i = 0, j = $rootScope.adsArray[$rootScope.adsPageNum].length; i < j; i++) {
				var picture = $rootScope.adsArray[$rootScope.adsPageNum][i].picture,
					externalUrl = $rootScope.adsArray[$rootScope.adsPageNum][i].externalUrl,
					id = $rootScope.adsArray[$rootScope.adsPageNum][i].id;
				$rootScope.floorNum = $rootScope.floorNum + $rootScope.posStepSize;
				var contentHtml = '<div class="amui-info-flow">' +
					'<a href="' + externalUrl + '" class="float" ng-click="mesLog(\'' + id + '\',\'{{$index+1}}\')">' +
					'<img src="' + picture + '" alt=""/>' +
					'</a>' +
					'</div>';
				var el = $compile(contentHtml)($scope);
				$('.amui-list-article-item').eq($rootScope.floorNum).after(el);
			}
		}, 1000);

	};

	vm.hasNextPage = function() {
		return ArticleService.hasNextPage();
		// 停止广播ion-refresher
		vm.$broadcast('scroll.infiniteScrollComplete');
	};
	vm.changeTab = function (cateid, index) {

		// 新闻分类导航选中状态
		var aEls = document.querySelectorAll('.amui-tabsnav a');

		// 遍历删除所有元素的 className
		for (var i = 0; i < aEls.length; i++) {

			aEls[i].className = '';

		}

		// 当前元素添加 active className
		aEls[index].className = 'active';

		// 数据分类请求
		ArticleService.setStorage(cateid);

		//信息流广告
		$rootScope.floorNum = -1; //初始指针位置
		$rootScope.adsPageNum = 0;
		setTimeout(function () {
			for (var i = 0, j = $rootScope.adsArray[0].length; i < j; i++) {
				var picture = $rootScope.adsArray[0][i].picture,
					externalUrl = $rootScope.adsArray[0][i].externalUrl,
					id = $rootScope.adsArray[0][i].id;
				$rootScope.floorNum = $rootScope.floorNum + $rootScope.posStepSize;
				var contentHtml = '<div class="amui-info-flow">' +
					'<a href="' + externalUrl + '" class="float" ng-click="mesLog(\'' + id + '\',\'{{$index+1}}\')">' +
					'<img src="' + picture + '" alt=""/>' +
					'</a>' +
					'</div>';
				var el = $compile(contentHtml)($scope);
				$('.amui-list-article-item').eq($rootScope.floorNum).after(el);
			}
			;
		}, 100);

	};

	(function() {
		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);
	})();
	//点击新闻打点
	vm.newsDetail = function(id) {
		RecordDataService.recordData('hitID=news.list.' + id);
		Cookie.set('hitIdReferer', 'news.list.' + id);
	};
	function mesLog(id, index) {
		RecordDataService.recordData('hitID=index.news.' + id + '&posIdx=' + index);
	};
	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer', 'news.list');
		history.back();
	};
	//点击banner打点
	vm.clickUrl = function(id, url, index, isCheckLogin) {
		RecordDataService.recordData('hitID=article.adbanner.' + id + '&posIdx=' + index);
		Cookie.set('hitIdReferer', 'article.adbanner.' + id + '&posIdx=' + index);
		setTimeout(function() {
			if(isCheckLogin == 0) {
				location.assign(url);
			} else {
				if(Cookie.get('userId')) {
					location.assign(url);
				} else {
					if(IsApp) {
						//app登录
						window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
					} else {
						Cookie.set('bannerUrl', url);
						location.assign('#/app/userLogin?from=banner');
					}
				}
			}
		}, 200);
	};
	if(IsApp){
		App.finishLoad();
	}
})

// 文章详情控制器
.controller('articleDetailController', function($scope, $stateParams, ArticleDetailService, Cookie, RecordDataService, API_ENDPOINT) {
	// 获取新闻对应的 ID
	var id = $stateParams['id'];
	//加载新闻详情页打点
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=news.' + id + '&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'news.' + id + '&refHitID=' + hitIdReferer);
	//页面时长打点
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;
	// 显示 Loading 状态
	vm.showloading = true;
	// 获取新闻对应的时间戳
	var timestamp = $stateParams['date'];
	// 获取新闻接口内容
	ArticleDetailService.getTimestampId('data/news/detail/', timestamp, id);
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('ArticleDetail.Updated', function() {
		// 获取新闻存储数据
		vm.ArticleDetailData = ArticleDetailService.getStorage();
		if(!vm.ArticleDetailData){
			history.back();
		}
		console.log(vm.ArticleDetailData);
		// 隐藏 Loading 状态
		vm.showloading = false;
	});
	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer', 'news.' + id);
		history.back();
	};
	if(IsApp){
		App.finishLoad();
	}
})
// 影视控制器
.controller('movieController', function($scope, $timeout, $http, Cookie, API_ENDPOINT, MovieService, AdsService, RecordDataService) {
	//加载电影打点
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=movie&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'movie&refHitID=' + hitIdReferer);
	//页面时长打点
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;
	// 显示 Loading 状态
	vm.showloading = true;
	// 初始化异步请求数据
	MovieService.getInitStorage();
	AdsService.getInitStorage();
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Ads.Updated', function() {
		vm.AdsService = AdsService.getStorage();
		vm.MovieAdsService = [];
		var one = vm.AdsService.movie.one;
		var date = new Date();
		var now = date.getTime();
		for(var i = 0, j = one.length; i < j; i++) {
			var onlineTime = one[i].onlineTime,
				offlineTime = one[i].offlineTime;
			if(now > onlineTime && now < offlineTime) {
				vm.MovieAdsService.push(one[i]);
			}
		}
		console.log(vm.MovieAdsService);

		if(vm.AdsService.movie.four){
			//底部浮窗广告
			var four = vm.AdsService.movie.four;
			vm.closeWindow = false;
			vm.staticBanner = [];
			for (var i = 0, j = four.length; i < j; i++) {
				var onlineTimeFour = four[i].onlineTime,
					offlineTimeFour = four[i].offlineTime;
				if (now > onlineTimeFour && now < offlineTimeFour) {
					vm.staticBanner.push(four[i]);
				}
			}
			console.log(vm.staticBanner);
			vm.staticId = vm.staticBanner[0].id;
			RecordDataService.recordData('hitID=movie.bottom.onload.' + vm.staticId);
		}

	});
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Movie.Updated', function() {
		vm.moviesData = MovieService.getStorage();
		var timer = $timeout(function() {
			// 停止广播ion-refresher
			$scope.$broadcast('scroll.infiniteScrollComplete');
		}, 2000);
		// 隐藏 Loading 状态
		vm.showloading = false;
	});
	
	//点击具体电影打点
	vm.MovieDetail = function(id, time) {
		RecordDataService.recordData('hitID=movie.list.' + id);
		Cookie.set('hitIdReferer', 'movie.list.' + id);
		var url = "#/app/movie-detail/" + time + '/' + id;
		location.assign(url);
	};
	var video = document.getElementsByTagName('video');
	for(var i = video.length - 1; i >= 0; i--) {
		video[i].pause();
	}
	(function() {
		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);
	})();
	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer', 'movie.list');
		history.back();
	};
	//关闭悬浮窗
	vm.closeBanner = function (id) {
		vm.closeWindow = true;
		RecordDataService.recordData('hitID=movie.bottom.close.' + vm.staticId);
	};
	//banner打点
	vm.clickUrl = function(id, url, index, isCheckLogin) {
		RecordDataService.recordData('hitID=movie.adbanner.' + id + '&posIdx=' + index);
		Cookie.set('hitIdReferer', 'movie.adbanner.' + id + '&posIdx=' + index);
		setTimeout(function() {
			if(isCheckLogin == 0) {
				location.assign(url);
			} else {
				if(Cookie.get('userId')) {
					location.assign(url);
				} else {
					if(IsApp) {
						//app登录
						window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
					} else {
						Cookie.set('bannerUrl', url);
						location.assign('#/app/userLogin?from=banner');
					}
				}
			}
		}, 200);
	};
	if(IsApp){
		App.finishLoad();
	}
})

// 影视详情控制器
.controller('movieDetailController', function($scope, $http, $stateParams, $location, $sce, $interval, Cookie, MovieDetailService, API_ENDPOINT, RecordDataService) {
	var vm = $scope;
	//电影详情页打点
	// 获取新闻对应的 ID
	var id = $stateParams['id'];
	Cookie.set('movieId',id);
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=movie.' + id + '&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'movie.' + id + '&refHitID=' + hitIdReferer);
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	// 显示 Loading 状态
	vm.showloading = true;
	vm.movieDetail = true;
	// 获取新闻对应的时间戳
	var timestamp = $stateParams['date'];
	// 获取新闻接口内容
	MovieDetailService.getTimestampId('data/video/detail/', timestamp, id);
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('MovieDetail.Updated', function() {
		// 获取影视存储数据
		vm.MovieDetailData = MovieDetailService.getStorage();
		if(vm.MovieDetailData){
			vm.movieDetail = false;
			var videos = vm.MovieDetailData.id;
			// 隐藏 Loading 状态
			vm.showloading = false;
			var video = document.getElementById('myVideo');
			vm.MovieDetailDataFile = {
				file: $sce.trustAsResourceUrl(vm.MovieDetailData.file)
			}
			//$('#myVideo').attr('src',vm.MovieDetailData.file);
			console.log(vm.MovieDetailData.file);
		}else{
			history.back();
		}
		
	});

	//播放视频
	vm.yanzheng = function(){
		$('.amui-video-mask').hide();
		$('video').show();
		$('video')[0].play();
	};

	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer', 'movie.' + id);
		$('video')[0].pause();
		history.back();
	};
	if(IsApp){
		$(".amui-video-mask").css({
			'margin-top':'0px'
		})
		App.finishLoad();
	}
})

// 小说控制器
.controller('novelController', function($scope, $http, $timeout, Cookie, API_ENDPOINT, NovelService, AdsService, RecordDataService) {
	//小说列表页打点
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=novel&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'novel&refHitID=' + hitIdReferer);
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;
	// 显示 Loading 状态
	vm.showloading = true;
	// 初始化异步请求数据
	NovelService.getInitStorage();
	AdsService.getInitStorage();
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Ads.Updated', function() {
		vm.AdsService = AdsService.getStorage();
		vm.NovelAdsService = [];
		var one = vm.AdsService.novel.one;
		var date = new Date();
		var now = date.getTime();
		for(var i = 0, j = one.length; i < j; i++) {
			var onlineTime = one[i].onlineTime,
				offlineTime = one[i].offlineTime;
			if(now > onlineTime && now < offlineTime) {
				vm.NovelAdsService.push(one[i]);
			}
		}
		console.log(vm.NovelAdsService);

		//底部浮窗广告
		var four = vm.AdsService.novel.four;
		if(four){
			vm.closeWindow = false;
			vm.staticBanner = [];
			for (var i = 0, j = four.length; i < j; i++) {
				var onlineTimeFour = four[i].onlineTime,
					offlineTimeFour = four[i].offlineTime;
				if (now > onlineTimeFour && now < offlineTimeFour) {
					vm.staticBanner.push(four[i]);
				}
			}
			console.log(vm.staticBanner);
			vm.staticId = vm.staticBanner[0].id;
			RecordDataService.recordData('hitID=novel.bottom.onload.' + vm.staticId);
		}

	});
	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Novel.Updated', function() {
		vm.novelsData = NovelService.getStorage();
		var timer = $timeout(function() {
			// 停止广播ion-refresher
			$scope.$broadcast('scroll.infiniteScrollComplete');
		}, 2000);
		// 隐藏 Loading 状态
		vm.showloading = false;
	});
	
	// 上拉更新
	vm.loadMore = function() {
		// 重新获取一次
		NovelService.getMoreStorage();
	};

	vm.hasNextPage = function() {
		return NovelService.hasNextPage();
		// 停止广播ion-refresher
		vm.$broadcast('scroll.infiniteScrollComplete');
	};
	(function() {
		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);
	})();
	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer', 'novel.list');
		history.back();
	};
	//关闭悬浮窗
	vm.closeBanner = function(id) {
		vm.closeWindow = true;
		RecordDataService.recordData('hitID=novel.bottom.close.' + vm.staticId);
	};
	//点击具体小说打点
	vm.novelDetail = function(id) {
		RecordDataService.recordData('hitID=novel.list.' + id);
		Cookie.set('hitIdReferer', 'novel.list.' + id);
	};
	//banner打点
	vm.clickUrl = function(id, url, index, isCheckLogin) {
		RecordDataService.recordData('hitID=novel.adbanner.' + id + '&posIdx=' + index);
		Cookie.set('hitIdReferer', 'novel.adbanner.' + id + '&posIdx=' + index);
		setTimeout(function() {
			if(isCheckLogin == 0) {
				location.assign(url);
			} else {
				if(Cookie.get('userId')) {
					location.assign(url);
				} else {
					if(IsApp) {
						//app登录
						window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
					} else {
						Cookie.set('bannerUrl', url);
						location.assign('#/app/userLogin?from=banner');
					}
				}
			}
		}, 200);
	};
	if(IsApp){
		App.finishLoad();
	}
})

// 小说详情控制器
	.controller('novelDetailController', function ($scope, $stateParams, $rootScope, NovelDetailService, RecordDataService, Cookie, API_ENDPOINT) {
		//小说详情页打点
		var id = $stateParams['id'];
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=novel.' + id + '&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'novel.' + id + '&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));

		var vm = $scope;
		if(IsApp){
			vm.novelIcon = true;
		}
		// 显示 Loading 状态
		vm.showloading = true;

		// 获取小说对应的时间戳
		var timestamp = $stateParams['date'];
		console.log(timestamp);

		// 获取小说对应的 ID
		$rootScope.novelId = id;
		sessionStorage.novelsId = id;

		// 获取小说接口内容
		NovelDetailService.getTimestampId('data/novel/detail/', timestamp, id);

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('NovelDetail.Updated', function () {

			// 获取小说存储数据
			vm.NovelDetailData = NovelDetailService.getStorage();
			if(vm.NovelDetailData){
				//获取小说目录
				vm.NovelMenuData = vm.NovelDetailData.chapters;
				$rootScope.dir = vm.NovelMenuData;
				sessionStorage.dirLength = $rootScope.dir.length - 1;
				for (var i = sessionStorage.dirLength; i >= 0; i--) {
					sessionStorage.setItem("dir" + i, $rootScope.dir[i].id);
				}
	
				sessionStorage.novelId = location.hash;
	
				var desc = $scope.NovelDetailData.description,
					descLen = $scope.NovelDetailData.description.substring(0, 60) + '...';
	
				if (desc.length > 60) {
	
					$scope.NovelDetailDescData = descLen;
					$scope.onoff = true;
					$scope.toggleClass = "icon ion-chevron-down amui-introduce-btn";
	
				} else {
	
					$scope.NovelDetailDescData = desc;
					$scope.onoff = false;
	
				}
	
				$scope.changeNovelList = function () {
	
					if ($scope.NovelDetailDescData == descLen) {
	
						$scope.NovelDetailDescData = desc;
	
						$scope.toggleClass = "icon ion-chevron-up amui-introduce-btn";
	
					} else {
	
						$scope.NovelDetailDescData = descLen;
	
						$scope.toggleClass = "icon ion-chevron-down amui-introduce-btn";
	
					}
	
				}
			}else{
				history.back();
			}
			

			// 隐藏 Loading 状态
			vm.showloading = false;

		});

		$scope.push = function (num, id) {
			//$rootScope.num = num;
			sessionStorage.num = num;
			location.assign('#/app/novel-content/' + id);
		};

		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer', 'novel.' + id);
			history.back();
		};
		if(IsApp){
			App.finishLoad();
		}
	})

// 小说内容控制器
.controller('novelContentController', function ($scope, $rootScope, $stateParams, NovelContentService) {

		var vm = $scope;

		// 显示 Loading 状态
		vm.showloading = true;

		// 获取小说对应的时间戳
		var timestamp = $stateParams['date'];
		console.log(timestamp);

		// 获取小说对应的 ID
		var id = $stateParams['id'];

		// 获取小说接口内容
		NovelContentService.getTimestampId('data/novel/chapter', sessionStorage.novelsId, id);

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('NovelContent.Updated', function () {

			// 获取小说存储数据
			vm.NovelContentData = NovelContentService.getStorage();

			// 隐藏 Loading 状态
			vm.showloading = false;

		});

		vm.dirId = sessionStorage.getItem("dir" + sessionStorage.num);
		vm.prevDirId = sessionStorage.getItem("dir" + (parseInt(sessionStorage.num) - 1));
		vm.nextDirId = sessionStorage.getItem("dir" + (parseInt(sessionStorage.num) + 1));

		//小说目录ID
		vm.novelId = sessionStorage.novelId;

		//上一章
		vm.prevPage = function () {
			if (sessionStorage.num == 0) {
				//alert("这是第一章！");
				var a = document.getElementsByClassName("amui-pagination-prev");
				var al = a[a.length - 1];
				al.removeAttribute("href");
				al.className = 'amui-pagination-prev amui-btn-disable';
			} else {
				vm.prevDirId = sessionStorage.getItem("dir" + (parseInt(sessionStorage.num) - 1));
				sessionStorage.num = parseInt(sessionStorage.num) - 1;
				location.replace("#/app/novel-content/" + vm.prevDirId);
				console.log(sessionStorage.num);
			}
		};
		//下一章
		vm.nextPage = function () {
			if (sessionStorage.num == sessionStorage.dirLength) {
				var a = document.getElementsByClassName("amui-pagination-next");
				var ar = a[a.length - 1];
				ar.removeAttribute("href");
				ar.className = 'amui-pagination-next amui-btn-disable';
			} else {
				vm.nextDirId = sessionStorage.getItem("dir" + (parseInt(sessionStorage.num) + 1));
				sessionStorage.num = parseInt(sessionStorage.num) + 1;
				location.replace("#/app/novel-content/" + vm.nextDirId);
				console.log(sessionStorage.num);
			}
		};

		//返回按钮
		vm.back = function () {
			history.back();
		};
		if(IsApp){
			App.finishLoad();
		}

	})

//h5游戏
.controller('h5GameController', function($scope, $timeout, H5GameService, Cookie, RecordDataService, API_ENDPOINT) {
	if(localStorage.getItem('h5gamecookie')) {
		localStorage.removeItem('h5gamecookie');
		location.reload();
	} else {
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=h5Game&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'h5Game&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	}
	var vm = $scope;
	// 显示 Loading 状态
	vm.showloading = true;


	// 初始化异步请求数据
	H5GameService.getInitStorage();

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('H5Game.Updated', function() {

		vm.H5GamesData = H5GameService.getStorage();

		var timer = $timeout(function() {

			// 停止广播ion-refresher
			$scope.$broadcast('scroll.infiniteScrollComplete');

		}, 2000);

		// 隐藏 Loading 状态
		vm.showloading = false;

	})


	// 上拉更新
	vm.loadMore = function() {

		// 重新获取一次
		H5GameService.getMoreStorage();

	};

	vm.hasNextPage = function() {
		return H5GameService.hasNextPage();

		// 停止广播ion-refresher
		vm.$broadcast('scroll.infiniteScrollComplete');

	};

	vm.clickGame = function(id) {
		RecordDataService.recordData('hitID=h5Game.' + id);
	};

	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer', 'h5Game.list');
		history.back();
	};
	if(IsApp){
		App.finishLoad();
	}

})

// 应用控制器
.controller('appController', function ($scope, $http, $timeout, AppService, AdsService, Cookie, RecordDataService, API_ENDPOINT) {
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=app.list&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'app.list&refHitID=' + hitIdReferer);
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;

	// 显示 Loading 状态
	vm.showloading = true;

	// 初始化异步请求数据
	AppService.getInitStorage();
	AdsService.getInitStorage();

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Ads.Updated', function () {

		vm.AdsService = AdsService.getStorage();
		vm.AppAdsService = [];
		var one = vm.AdsService.apps.one;
		if(one){
			var date = new Date();
			var now = date.getTime();
			for (var i = 0, j = one.length; i < j; i++) {
				var onlineTime = one[i].onlineTime,
					offlineTime = one[i].offlineTime;
				if (now > onlineTime && now < offlineTime) {
					vm.AppAdsService.push(one[i]);
				}
			}
			console.log(vm.AppAdsService);
		}

		//底部浮窗广告
		var four = vm.AdsService.apps.four;
		if(four){
			vm.closeWindow = false;
			vm.staticBanner = [];
			for (var i = 0, j = four.length; i < j; i++) {
				var onlineTimeFour = four[i].onlineTime,
					offlineTimeFour = four[i].offlineTime;
				if (now > onlineTimeFour && now < offlineTimeFour) {
					vm.staticBanner.push(four[i]);
				}
			}
			console.log(vm.staticBanner);
			vm.staticId = vm.staticBanner[0].id;
			RecordDataService.recordData('hitID=app.bottom.onload.' + vm.staticId);
		}

	});
	// 接收服务传过来的广播通知，解决异步请求问题

	vm.$on('App.Updated', function () {

		vm.AppsData = AppService.getStorage();
		console.log(vm.AppsData);

		var timer = $timeout(function () {

			// 停止广播ion-refresher
			$scope.$broadcast('scroll.infiniteScrollComplete');

		}, 2000);

		// 隐藏 Loading 状态
		vm.showloading = false;

		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);

	});
	
	// 上拉更新
	vm.loadMore = function () {

		// 重新获取一次
		AppService.getMoreStorage();

	};

	vm.hasNextPage = function () {
		return AppService.hasNextPage();

		// 停止广播ion-refresher
		vm.$broadcast('scroll.infiniteScrollComplete');

	};

	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer' , 'app.list');
		history.back();
	};
	//关闭悬浮窗
	vm.closeBanner = function(id) {
		vm.closeWindow = true;
		RecordDataService.recordData('hitID=app.bottom.close.' + vm.staticId);
	};

	setTimeout(function() {
		var mySwiper = new Swiper('.swiper-container', {
			direction: 'horizontal',
			loop: true,
			pagination: '.swiper-pagination',
			scrollbarHide: true,
			autoplay: '4000'
		})
	}, 1000);

	vm.appDetail = function (id) {
		RecordDataService.recordData('hitID=app.list.' + id);
		Cookie.set('hitIdReferer', 'app.list.' + id);
	};
	vm.clickUrl = function (id, url, index, isCheckLogin) {
		RecordDataService.recordData('hitID=app.adbanner.' + id + '&posIdx=' + index);
		Cookie.set('hitIdReferer', 'app.adbanner.' + id + '&posIdx=' + index);
		setTimeout(function () {
			if (isCheckLogin == 0) {
				location.assign(url);
			} else {
				if (Cookie.get('userId')) {
					location.assign(url);
				} else {
					if(IsApp) {
						//app登录
						window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
					} else {
						Cookie.set('bannerUrl', url);
						location.assign('#/app/userLogin?from=banner');
					}
				}
			}
		}, 200);
	};

	vm.clickApp = function (id) {
		RecordDataService.recordData('hitID=app.list.' + id + '.download');
	};
	if(IsApp){
		App.finishLoad();
	}

})

// 应用详情控制器
.controller('appDetailController', function ($scope, $stateParams, $rootScope, AppDetailService, Cookie, RecordDataService, API_ENDPOINT) {
		// 获取应用对应的 ID
		var id = $stateParams['id'];
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=app.detail.' + id + '&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'app.detail.' + id + '&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;

		// 显示 Loading 状态
		vm.showloading = true;

		// 获取应用对应的时间戳
		var timestamp = $stateParams['date'];
		console.log(timestamp);

		
		$rootScope.appId = id;

		// 获取应用接口内容
		AppDetailService.getTimestampId('data/apps/detail/', timestamp, id);

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('AppDetail.Updated', function () {

			// 获取应用存储数据
			vm.AppDetailData = AppDetailService.getStorage();
			if(vm.AppDetailData){
				var arr = [];
				if (vm.AppDetailData.picture1) {
					arr.push(vm.AppDetailData.picture1);
				}
				if (vm.AppDetailData.picture2) {
					arr.push(vm.AppDetailData.picture2);
				}
				if (vm.AppDetailData.picture3) {
					arr.push(vm.AppDetailData.picture3);
				}
				if (vm.AppDetailData.picture4) {
					arr.push(vm.AppDetailData.picture4);
				}
				if (vm.AppDetailData.picture5) {
					arr.push(vm.AppDetailData.picture5);
				}
	
				var arrLen = arr.length;
				var inner = $('.amui-app-scroll-inner');
				inner.css({
					'width': arrLen * 150 + 'px'
				});
				console.log(arrLen);
			}else{
				history.back();
			}
			

			// 隐藏 Loading 状态
			vm.showloading = false;

		});

		//返回按钮
		vm.back = function () {
			Cookie.set("hitIdReferer",'app.detail.' + id);
			history.back();
		};

		vm.clickApp = function (id) {
			RecordDataService.recordData('hitID=app.detail.' + vm.AppDetailData.id + '.download');
		};
		if(IsApp){
			App.finishLoad();
		}

	})

// 游戏控制器
.controller('gameController', function ($scope, $timeout, GameService, AdsService, Cookie, RecordDataService, API_ENDPOINT) {
	var hitIdReferer = Cookie.get('hitIdReferer');
	RecordDataService.recordData('hitID=game.list&refHitID=' + hitIdReferer);
	Cookie.set('hit', 'game.list&refHitID=' + hitIdReferer);
	pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
	var vm = $scope;

	// 显示 Loading 状态
	vm.showloading = true;

	// 初始化异步请求数据
	GameService.getInitStorage();
	AdsService.getInitStorage();

	// 接收服务传过来的广播通知，解决异步请求问题
	vm.$on('Ads.Updated', function () {

		vm.AdsService = AdsService.getStorage();
		vm.GameAdsService = [];
		var one = vm.AdsService.game.one;
		if(one){
			var date = new Date();
			var now = date.getTime();
			for (var i = 0, j = one.length; i < j; i++) {
				var onlineTime = one[i].onlineTime,
					offlineTime = one[i].offlineTime;
				if (now > onlineTime && now < offlineTime) {
					vm.GameAdsService.push(one[i]);
				}
			}
			console.log(vm.GameAdsService);
		}

		//底部浮窗广告
		var four = vm.AdsService.game.four;
		if(four){
			vm.closeWindow = false;
			vm.staticBanner = [];
			for (var i = 0, j = four.length; i < j; i++) {
				var onlineTimeFour = four[i].onlineTime,
					offlineTimeFour = four[i].offlineTime;
				if (now > onlineTimeFour && now < offlineTimeFour) {
					vm.staticBanner.push(four[i]);
				}
			}
			console.log(vm.staticBanner);
			vm.staticId = vm.staticBanner[0].id;
			RecordDataService.recordData('hitID=game.bottom.onload.' + vm.staticId);
		}

	});

	// 接收服务传过来的广播通知，解决异步请求问题

	vm.$on('Game.Updated', function () {

		vm.GamesData = GameService.getStorage();

		var timer = $timeout(function () {

			// 停止广播ion-refresher
			$scope.$broadcast('scroll.infiniteScrollComplete');

		}, 2000);

		// 隐藏 Loading 状态
		vm.showloading = false;

		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);

	});
	

	// 下拉更新
	vm.doRefresh = function () {

		// 获取第一页数据
		GameService.getInitStorage();
		AdsService.getInitStorage();

		// 停止广播ion-refresher
		vm.$broadcast('scroll.refreshComplete');

	};

	vm.hasNextPage = function () {
		return GameService.hasNextPage();

		// 停止广播ion-refresher
		vm.$broadcast('scroll.infiniteScrollComplete');

	};
	vm.gameDetail = function(id) {
		RecordDataService.recordData('hitID=game.list.' + id);
		Cookie.set('hitIdReferer', 'game.list.' + id);
	};
	//返回按钮
	vm.back = function() {
		Cookie.set('hitIdReferer' , 'game.list');
		history.back();
	};
	//关闭悬浮窗
	vm.closeBanner = function(id) {
		vm.closeWindow = true;
		RecordDataService.recordData('hitID=game.bottom.close.' + vm.staticId);
	};

	setTimeout(function() {
		var mySwiper = new Swiper('.swiper-container', {
			direction: 'horizontal',
			loop: true,
			pagination: '.swiper-pagination',
			scrollbarHide: true,
			autoplay: '4000'
		})
	}, 1000);

	vm.clickUrl = function (id, url, index, isCheckLogin) {
		RecordDataService.recordData('hitID=game.adbanner.' + id + '&posIdx=' + index);
		Cookie.set('hitIdReferer', 'game.adbanner.' + id + '&posIdx=' + index);
		setTimeout(function () {
			if (isCheckLogin == 0) {
				location.assign(url);
			} else {
				if (Cookie.get('userId')) {
					location.assign(url);
				} else {
					if(IsApp) {
						//app登录
						window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
					} else {
						Cookie.set('bannerUrl', url);
						location.assign('#/app/userLogin?from=banner');
					}
				}
			}
		}, 200);
	};
	if(IsApp){
		App.finishLoad();
	}


	vm.clickApp = function (id) {
		RecordDataService.recordData('hitID=game.list.' + id + '.download');
	};

})

//游戏详情控制器
.controller('gameDetailController', function ($scope, $stateParams, $rootScope, AppDetailService, RecordDataService, API_ENDPOINT, Cookie) {
		// 获取应用对应的 ID
		var id = $stateParams['id'];
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=game.detail.' + id + '&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'game.detail.' + id + '&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;

		// 显示 Loading 状态
		vm.showloading = true;

		// 获取应用对应的时间戳
		var timestamp = $stateParams['date'];
		console.log(timestamp);

		// 获取应用对应的 ID
		var id = $stateParams['id'];
		$rootScope.appId = id;

		// 获取应用接口内容
		AppDetailService.getTimestampId('data/apps/detail/', timestamp, id);

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('AppDetail.Updated', function () {
			
			// 获取应用存储数据
			vm.AppDetailData = AppDetailService.getStorage();
			if(vm.AppDetailData){
				var arr = [];
				if (vm.AppDetailData.picture1) {
					arr.push(vm.AppDetailData.picture1);
				}
				if (vm.AppDetailData.picture2) {
					arr.push(vm.AppDetailData.picture2);
				}
				if (vm.AppDetailData.picture3) {
					arr.push(vm.AppDetailData.picture3);
				}
				if (vm.AppDetailData.picture4) {
					arr.push(vm.AppDetailData.picture4);
				}
				if (vm.AppDetailData.picture5) {
					arr.push(vm.AppDetailData.picture5);
				}
	
				var arrLen = arr.length;
				var inner = $('.amui-app-scroll-inner');
				inner.css({
					'width': arrLen * 150 + 'px'
				});
				console.log(arrLen);
			}else{
				history.back();
			}
			

			// 隐藏 Loading 状态
			vm.showloading = false;

		});

		//返回按钮
		vm.back = function () {
			Cookie.set('hitIdReferer' , 'game.detail.' + id);
			history.back();
		};

		vm.clickApp = function (id) {
			RecordDataService.recordData('hitID=game.detail.' + vm.AppDetailData.id + '.download');
		};
		if(IsApp){
			App.finishLoad();
		}
	})


// 听书控制器
.controller('audioController', function($scope, $http, $timeout, Cookie, RecordDataService, API_ENDPOINT, AudioService, AdsService) {
		//听书列表页打点
		var hitIdReferer = Cookie.get('hitIdReferer');
		RecordDataService.recordData('hitID=audio&refHitID=' + hitIdReferer);
		Cookie.set('hit', 'audio&refHitID=' + hitIdReferer);
		pageTimeLog(Cookie.get('userId'), Cookie.get('hit'), Cookie.get('version'));
		var vm = $scope;

		// 显示 Loading 状态
		vm.showloading = true;

		// 初始化异步请求数据
		AudioService.getInitStorage();
		AdsService.getInitStorage();

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('Ads.Updated', function() {

			vm.AdsService = AdsService.getStorage();
			vm.AudioAdsService = [];
			var one = vm.AdsService.audio.one;
			var date = new Date();
			var now = date.getTime();
			for(var i = 0, j = one.length; i < j; i++) {
				var onlineTime = one[i].onlineTime,
					offlineTime = one[i].offlineTime;
				if(now > onlineTime && now < offlineTime) {
					vm.AudioAdsService.push(one[i]);
				}
			}
			console.log(vm.AudioAdsService);

			//底部浮窗广告
			var four = vm.AdsService.audio.four;
			if(four){
				vm.closeWindow = false;
				vm.staticBanner = [];
				for(var i = 0, j = four.length; i < j; i++) {
					var onlineTimeFour = four[i].onlineTime,
						offlineTimeFour = four[i].offlineTime;
					if(now > onlineTimeFour && now < offlineTimeFour) {
						vm.staticBanner.push(four[i]);
					}
				}
				console.log(vm.staticBanner);
				vm.staticId = vm.staticBanner[0].id;
				RecordDataService.recordData('hitID=audio.bottom.onload.' + vm.staticId);
			}

		});

		// 接收服务传过来的广播通知，解决异步请求问题
		vm.$on('Audio.Updated', function() {

			vm.audiosData = AudioService.getStorage();

			var timer = $timeout(function() {

				// 停止广播ion-refresher
				$scope.$broadcast('scroll.infiniteScrollComplete');

			}, 2000);

			// 隐藏 Loading 状态
			vm.showloading = false;

		});
	
		// 上拉更新
		vm.loadMore = function() {

			// 重新获取一次
			AudioService.getMoreStorage();

		};

		vm.hasNextPage = function() {

			return AudioService.hasNextPage();

			// 停止广播ion-refresher
			vm.$broadcast('scroll.infiniteScrollComplete');

		};
		//点击具体打点
		vm.audioDetal = function(id) {
			RecordDataService.recordData('hitID=audio.list.' + id);
			Cookie.set('hitIdReferer', 'audio.list.' + id);
		};
		vm.selectAudioDetail = function(createTime, id) {

			location.assign("#/app/audio-detail/" + createTime + "/" + id);
			location.reload();
		};

		setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				scrollbarHide: true,
				autoplay: '4000'
			})
		}, 1000);

		//返回按钮
		vm.back = function() {
			Cookie.set('hitIdReferer','audio.list');
			history.back();
		};
		//关闭悬浮窗
		vm.closeBanner = function(id) {
			vm.closeWindow = true;
			RecordDataService.recordData('hitID=audio.bottom.close.' + vm.staticId);
		};
		var audio = document.getElementsByTagName('audio');
		for(var i = audio.length - 1; i >= 0; i--) {
			audio[i].pause();
		}
		//banner打点
		vm.clickUrl = function(id, url, index, isCheckLogin) {
			RecordDataService.recordData('hitID=audio.adbanner.' + id + '&posIdx=' + index);
			Cookie.set('hitIdReferer', 'audio.adbanner.' + id + '&posIdx=' + index);
			setTimeout(function() {
				if(isCheckLogin == 0) {
					location.assign(url);
				} else {
					if(Cookie.get('userId')) {
						location.assign(url);
					} else {
						if(IsApp) {
							//app登录
							window.location.href = 'iwangfan://login?forwardUrl=' + encodeURIComponent(url);
						} else {
							Cookie.set('bannerUrl', url);
							location.assign('#/app/userLogin?from=banner');
						}
					}
				}
			}, 200);
		};
		if(IsApp){
			App.finishLoad();
		}

	})
