'use strict';


angular.module('wangfan')

// 横竖屏切换指令
.directive('amuiHide', function($rootScope) {

	return {

		restrict: 'AE',
		link: function($scope) {

			// 动态隐藏tabs
			$rootScope.hide = 'tabs-item-hide';

			// 页面销毁
			$scope.$on('$destroy', function() {

				$rootScope.hide = '';

			});

		}

	}

})

// 轮播指令
.directive('amuiSlide', function() {

	return {

		restrict: 'AE',
		templateUrl: 'templates/ads/ads.html',
		link: setTimeout(function() {
			var mySwiper = new Swiper('.swiper-container', {
				direction: 'horizontal',
				loop: true,
				pagination: '.swiper-pagination',
				autoplay: '4000',
			})
		}, 1000)

	}

})

// 心跳指令
.directive('amuiHeartBeat', function($http, $timeout, $interval) {

		return {
			restrict: 'AE',
			link: function() {

				$timeout(function() {

					heartBeat('start_url');

				}, 1);

				$interval(function() {

					heartBeat('end_url');

				}, 5000);

				function heartBeat(url) {
					var heartBeat = 'doHeartbeatRetrieve.php';
					var hash = window.location.hash;
					var pattern = "#/app/";
					hash = hash.replace(new RegExp(pattern), "");

					$http.get(heartBeat + "?" + url + "=" + hash).success();
				}
			}
		}

	})
	.directive('amuiVideoplay', function($rootScope, API_ENDPOINT, Cookie, RecordDataService) {
		return {
			restrict: 'AE',
			link: function() {
				clearInterval($rootScope.playTime);
				$rootScope.playTime = setInterval(function() {
					var video = document.getElementsByTagName('video')[0];
					if (video.currentTime) {
						clearInterval($rootScope.playTime);
						var balance = $('#myVideo').attr('data-balance');
						RecordDataService.recordData('hitID=movie.' + Cookie.get('moviePlayId') + '.play.' + balance);
					}
				},1000);
			}
		}
	})


	.directive('isApp', function(){
		return {
			restrict: 'ACE',
			link: function(scope){
				var ua = navigator.userAgent;
//				var ua = 'iOSApp/wangfan 1.0.0';
				if(ua.indexOf('App/')<0){
					$('.bar').show();
					$("ion-content").css({
						'top':'44px'
					})
				}
			}
		}
	})
	//错误页面跳转
	.directive('amuiError',['$state','$rootScope','$http','getBalanceFlowService','Cookie','API_ENDPOINT',function($state,$rootScope,$http,getBalanceFlowService,Cookie,API_ENDPOINT){
		return{
			restrict : 'E',
			link : function(scope){
				$rootScope.$on("$stateChangeSuccess",function(event, toState, toParams, fromState, fromParams){

					var _urls = $state.current.url.split("/");
					if(_urls[_urls.length-1].indexOf("404") != -1){
						return;
					}
					//时间戳
					var myDate = Date.parse(new Date());
					//判断内网是否 可用  请求本地json
					$.ajax({
						type: "get",
						url: "./ver?t="+myDate,
						timeout: 20000,
						success : function(res){
							console.log("---------内网请求成功--------");
						},
						error : function(error){
							var state_url = $state.current.url.split("/")[$state.current.url.split("/").length - 1];
							if(state_url.indexOf("404_0") < 0){
								Cookie.set('_backUrl', window.location.hash);
							}
							if(error.statusText == "timeout"){ //请求超时
								// $state.go("app.404_05");
								location.replace('#/app/404_05');
							}else{  //无网络  跳转404无网络页面
								// $state.go("app.404_04");
								location.replace('#/app/404_04');
							}
						}
					})
				});
			}
		}
	}]);
